<?php
session_start();
ob_start();
include_once("../manasystem/Library/Library.php");
include_once("../manasystem/Library/db_fuction.php");
include_once("../manasystem/Library/tool.php");
include_once("../manasystem/Library/Now_date.php");
?>
<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

header("Expires: 0");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");


//參數設定==============================================
$lang_st=1; //預設語言
$BuyTeamPlatform="ERP";//平台


//參數設定==============================================

//表單變數======================================= 
$http_method="";
$Json_st="";

//表單變數======================================= 


$http_method=$_SERVER['REQUEST_METHOD'];

if($http_method=="POST") //判斷[http method]狀態
{
   $str = file_get_contents('php://input');
   if($str<>'')
   {
        $json_obj=json_decode($str,true);

       //↓↓「Request」參數=================================================================
         $key=addslashes(($json_obj['key']));//關鍵字
       //↑↑「Request」參數=================================================================

         if($key<>"")
         {
             Load_ProdInfo($key);//載入[產品資訊]
         }else{


            $Json_Item = [
                'Status' => "Fail",
                'Desc' => "[參數錯誤!!]"
            ];
            $Json_st = json_encode($Json_Item);//將[$Json_st]陣列序列化成json字串
            echo $Json_st;

         }

   }else{


        $Json_Item = [
            'Status' => "Fail",
            'Desc' => "[參數錯誤!]"
        ];
        $Json_st = json_encode($Json_Item);//將[$Json_st]陣列序列化成json字串
        echo $Json_st;
    

     
   }


  }else{


    $Json_Item = [
        'Status' => "Fail",
        'Desc' => "[參數錯誤!]"
    ];
    $Json_st = json_encode($Json_Item);//將[$Json_st]陣列序列化成json字串
    echo $Json_st;


}




?>
<?php


//===============================================
//載入[產品資訊]
//$keyword_st:關鍵字
//===============================================
function  Load_ProdInfo($keyword_st)
{
   //參數======================================= 
      global $lang_st; //預設語言 
      global $BuyTeamPlatform;//平台
   //參數=======================================  

    $arrayA = [];


    $ProdLang_Version=$lang_st;
    $ProdInfo_Cate=$BuyTeamPlatform;//平台

    $ProdFeedItem_Version=$lang_st;
    $FeedItem_Version=$lang_st;
    
    $d1_sql="";
    $d1_sql=$d1_sql."select * from ProdInfo  ";
    $d1_sql=$d1_sql." left join ProdLang ";
    $d1_sql=$d1_sql."    on ProdLang.ProdLang_Mid = ProdInfo.ProdInfo_Id  ";
    $d1_sql=$d1_sql." join (SELECT DISTINCT IMS002,IMS001 FROM PURIMS) as T on T.IMS002=ProdInfo_Number ";
    $d1_sql=$d1_sql." join StoreInfo on IMS001=StoreInfo.Company_Id ";
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."          ProdInfo_IsWork='1' ";
    $d1_sql=$d1_sql."      and ProdInfo_Cate='$ProdInfo_Cate' ";
    $d1_sql=$d1_sql."      and ProdLang_Title like '%".$keyword_st."%' ";
    $d1_sql=$d1_sql."      and ProdLang_Version='$ProdLang_Version' ";
    $d1_sql=$d1_sql."      and StoreInfo_Id='".$_SESSION["bf_SALCTM_Mid"]."' ";
    $d1_sql=$d1_sql." order by ProdInfo_Ord asc , ProdInfo_Id asc   ";

    $d1_count=0;
    global $_DB;
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while($result = $db1->fetch_array())
    {     
        $d1_count=$d1_count+1;
        
        $label=$result["ProdLang_Title"];//產品標題
        $value=$result["ProdLang_Title"];//產品標題
        $id=$result["ProdInfo_Id"];//產品ID

        if($result["ProdInfo_TrdUnit"]<>"")//交易單位
        {
           $rule=$result["ProdInfo_TrdUnit"];
        }else{
           $rule="個";
        }
       
        $price=$result["ProdInfo_SalePrice"];//售價
        $total=1;//數量
     

        array_push($arrayA,array('label' => $label, 'value' => $value, 'id' => $id, 'rule' => $rule, 'price' => $price, 'total' => $total));
            
    }
    $db1->close_Mysql();


    $Json_Item = $arrayA;
  
      
    $Json_st = json_encode($Json_Item);//將[$Json_st]陣列序列化成json字串
     

    echo $Json_st;

}







?>
