<?php
ini_set('session.gc_maxlifetime', 3600);
session_start();
ob_start();
include_once("../manasystem/Library/Library.php");
include_once("../manasystem/Library/db_fuction.php");
include_once("../manasystem/Library/tool.php");
include_once("../manasystem/Library/F_DateFunction.php");
include_once("../manasystem/Library/Now_date.php"); 
?>
<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

header("Expires: 0");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

//Cookie變數======================================= 
$expires =0 ; //目前的 timestamp + 秒數(time() + 86400)
$path = "/"; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
$domain = ""; //目前的 domain，只可設定為子網域，不可設定成其他網域
$secure = false;//
$httpOnly = true; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得
//Cookie變數======================================= 

//表單變數======================================= 
$http_method="";
$Json_st="";
$Cart_Total=0;//購物車筆數
//表單變數======================================= 


 $tool=new tool();
 $date1=new Now_date();

 $http_method=$_SERVER['REQUEST_METHOD'];



if($http_method=="POST") //判斷[http method]狀態
{
   
    $str = file_get_contents('php://input');
    if($str<>'')
    {


        $json_obj=json_decode($str,true);

        //↓↓「Request」參數=================================================================
         $ProdInfo_Id=addslashes(urldecode($json_obj['pid']));//產品ID
         $ProdCount=addslashes(urldecode($json_obj['count']));//訂購數量
         $type=addslashes(urldecode($json_obj['type']));//登入狀態 1:未登入 2:已登入
        //↑↑「Request」參數=================================================================
           
       

         if($type=="1")//
         {
             //1:未登入 

              write_Cookie($json_obj);

              $Json_st=$Json_st." { ";
              $Json_st=$Json_st."   \"Status\": \"Success\", ";
              $Json_st=$Json_st."   \"Desc\": \"\", ";
              $Json_st=$Json_st."   \"cart_count\": \"".$Cart_Total."\" ";
              $Json_st=$Json_st." } ";
           
              echo $Json_st;

           
         }else{
            //2:已登入

              write_Cookie($json_obj);
              
              $Json_st=$Json_st." { ";
              $Json_st=$Json_st."   \"Status\": \"Success\", ";
              $Json_st=$Json_st."   \"Desc\": \"\", ";
              $Json_st=$Json_st."   \"cart_count\": \"".$Cart_Total."\" ";
              $Json_st=$Json_st." } ";
           
              echo $Json_st;
              
         }

    }else{

       $Json_st=$Json_st." { ";
       $Json_st=$Json_st."   \"Status\": \"Fail\", ";
       $Json_st=$Json_st."   \"Desc\": \"[參數錯誤!]\" ";
       $Json_st=$Json_st." } ";
     
        echo $Json_st;

    }
   

}else{

   $Json_st=$Json_st." { ";
   $Json_st=$Json_st."   \"Status\": \"Fail\", ";
   $Json_st=$Json_st."   \"Desc\": \"[參數錯誤!]\" ";
   $Json_st=$Json_st." } ";
 
    echo $Json_st;
}


?>
<?php

//===============================================
//寫入[Cookie]
//===============================================
function  write_Cookie($json_obj)
{
    //Cookie變數======================================= 
        global $lang_st;
        global $prod_Info_str;
        global $expires; //目前的 timestamp + 秒數(time() + 86400)
        global $path; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
        global $domain; //目前的 domain，只可設定為子網域，不可設定成其他網域
        global $secure;//
        global $httpOnly; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得

        global $Cart_Total;//購物車筆數
     //Cookie變數======================================= 



    //↓↓「Request」參數=================================================================
         $ProdInfo_Id=addslashes(urldecode($json_obj['pid']));//產品ID
         $ProdCount=addslashes(urldecode($json_obj['count']));//訂購數量
    //↑↑「Request」參數=================================================================



     $counter=1;
    


     if (isset($_COOKIE['counter'])) 
     {

          $counterTotal=$_COOKIE['counter'];
            

          $Cookie_Flag=0;//是否有找到 0:未找到 1:找到

          for ( $i=1 ; $i<=$counterTotal ; $i++ )
          {

                if (isset($_COOKIE['Pid'][$i])) //產品ID
                {
                   $COOKIE_Pid=$_COOKIE['Pid'][$i];
                }

                if (isset($_COOKIE['Stock'][$i])) //訂購數量
                {
                     $COOKIE_Stock=$_COOKIE['Stock'][$i];
                }
                    
                // echo "ProdInfo_Id:".$ProdInfo_Id."<br />";
                // echo "COOKIE_Pid:".$COOKIE_Pid."<br />";

                if($ProdInfo_Id==$COOKIE_Pid  ) //[產品ID]跟[cookie ID]相同的時候 
                {
                    // $Cookie_Flag=1;//是否有找到 0:未找到 1:找到
                    // $ProdInfo_StockNew= $COOKIE_Stock+$ProdCount;//新的庫存
                    // setcookie("Stock[".$i."]",$ProdInfo_StockNew, $expires, $path, $domain, $secure, $httpOnly);//產品數量

                    $Cookie_Flag=1;//是否有找到 0:未找到 1:找到

                    $ProdInfo_StockNew= $COOKIE_Stock+$ProdCount;//新的庫存
                    setcookie("Stock[".$i."]",$ProdInfo_StockNew, $expires, $path, $domain, $secure, $httpOnly);//產品數量
                }

          }

          if($Cookie_Flag==1)//是否有找到 0:未找到 1:找到
          {


          }else{
  
                if (isset($_COOKIE['counter'])) 
                {
                   $counter=$_COOKIE['counter']+1;
                }
          
                setcookie("counter",$counter, $expires, $path, $domain, $secure, $httpOnly);//數量
                setcookie("Pid[".$counter."]",$ProdInfo_Id, $expires, $path, $domain, $secure, $httpOnly); //產品ID
                setcookie("Stock[".$counter."]",$ProdCount, $expires, $path, $domain, $secure, $httpOnly);//訂購數量


              

          }


     }else{
          //不存在Cookie
          setcookie("counter",$counter, $expires, $path, $domain, $secure, $httpOnly);//數量
          setcookie("Pid[".$counter."]",$ProdInfo_Id, $expires, $path, $domain, $secure, $httpOnly); //產品ID
          setcookie("Stock[".$counter."]",$ProdCount, $expires, $path, $domain, $secure, $httpOnly);//訂購數量
         
         

     }

     $Cart_Total=$counter;

}


?>