<?php
ini_set('session.gc_maxlifetime', 3600);
session_start();
include_once("manasystem/Library/Library.php");
include_once("manasystem/Library/db_fuction.php");
include_once("manasystem/Library/tool.php");
include_once("manasystem/Library/Now_date.php");
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">
<?php


//須變更的參數=======================================
 $lang_st=1;//
 $BuyTeamPlatform="B2C";//平台
 $type="1";//登入狀態 1:未登入 2:已登入

 $MetaInfoLang_Version=$lang_st;//[Meta內容]版本
 $MetaInfoLang_upload_dir_1="manasystem/FileData/MetaInfoLang/";//[Meta內容][檔案路徑]

 $LineLogin_redirect_uri=$Domain_st."/LineLogin/LineCallback.php";//回調網址
 $LineLoginUrl="https://access.line.me/oauth2/v2.1/authorize?response_type=code&client_id=".$LineLogin_ChannelId."&redirect_uri=".$LineLogin_redirect_uri."&state=AU001&bot_prompt=normal&scope=profile%20openid%20email";//Linr登入連結
//須變更的參數=======================================

//表單變數=======================================    
  $Form_url_st="";//
  $showBox_Flag=2;//是否開啟訊息框 1:開啟 2:不開啟
  $showBox_Msg="";//錯誤訊息
  $showBox_Link="";//錯誤的連結資訊

  $Meta_title="";//標題名稱
  $Meta_description="";//描述
  $Meta_site_name="";//網站名稱
  $Meta_image="";//圖片

  $Msg_St="";//訊息內容
//表單變數=======================================    

$tool = new tool();
//呼叫函數=======================================
   Load_MetaInfo();//載入[Meta內容]
 if(isset($_GET['Msg']))
 {
    if(addslashes($_GET['Msg'])<>'')
    {  
       $Msg_St=addslashes($tool->injection($_GET['Msg'], "", 0, "", "", 1, 1));
    }else{

    	$showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
        $showBox_Msg="該筆資料不存在";//錯誤訊息
        $showBox_Link="index.php";//錯誤的連結資訊
    }
 
 }else{
    $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
    $showBox_Msg="該筆資料不存在";//錯誤訊息
    $showBox_Link="index.php";//錯誤的連結資訊
 }
//呼叫函數=======================================


?>
<?php

//===============================================
//載入[Meta內容]
//===============================================
function  Load_MetaInfo()
{
      
     //參數=======================================
      global $MetaInfoLang_Version;//[Meta內容]版本
      global $MetaInfoLang_upload_dir_1;//[Meta內容][檔案路徑]

      global $Meta_title;//標題名稱
      global $Meta_description;//描述
      global $Meta_site_name;//網站名稱
      global $Meta_image;//圖片
      global $Domain_st;//網域
   //參數======================================= 

      $tool = new tool();


      $d1_sql="";
    $d1_sql=$d1_sql." select * from  MetaInfoLang ";
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."         MetaInfoLang_Version='$MetaInfoLang_Version' ";
    $d1_sql=$d1_sql."     and MetaInfoLang_Cate='40' ";//類別 
    $d1_sql=$d1_sql."     and MetaInfoLang_Type='1' ";//類型 1:Meta
    $d1_sql=$d1_sql."     and MetaInfoLang_IsWork='1' ";//是否啟用
    

      $d1_st="";
    $d1_count=0;
    global $_DB;
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while($result = $db1->fetch_array())
    { 

        //↓↓[Meta區]===========================================================
            $Meta_title=$result["MetaInfoLang_Title"];//標題名稱
            $Meta_description=$tool->filterMeta($result["MetaInfoLang_Content"]);//描述

            if ($result['MetaInfoLang_Img']!="")
            {
                  if(file_exists($MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']))
                  {
                      $imgSt="";
                      $imgSt=$imgSt."<meta property='og:image' content='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
                      $imgSt=$imgSt."<meta name='twitter:image:src' content='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
                      $imgSt=$imgSt."<link rel='image_src' href='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
                      $Meta_image=$imgSt;
                  }
            }
            //↑↑[Meta區]===========================================================


    }
      $db1->close_Mysql();

}

?>  	

<meta property="og:title" content="<?php echo $Meta_title; ?>" /><!--標題-->
<meta property="og:url" content="<?php echo $URL=$Domain_st.$_SERVER['REQUEST_URI'];?>" /><!--網址-->
<meta name="description" content="<?php echo $Meta_description; ?>"><!--簡介-->
<meta property="og:description" content="<?php echo $Meta_description; ?>"/><!--簡介-->
<meta property="og:site_name" content="<?php echo $Meta_site_name; ?>" />
<link rel="shortcut icon" href="images/favicon.ico">

<!--抓取圖片_Start-->
<?php echo $Meta_image; ?>
<!--抓取圖片_End-->


<title><?php echo $Meta_title; ?></title><!--標題-->
<?php include("WUC_Head.php"); //html head ?>

</head>

<body>
<form id="myForm" name="myForm" method="post" enctype="multipart/form-data" action="<?php echo $_SERVER["PHP_SELF"] . $Form_url_st; ?>">	
<!--載入中 start-->
<div id="Loading">
	<img src="images/ajax-loader.gif" width="32" height="32" alt="載入中"/>
</div>
<!--載入中 end-->
	
<!--網頁開始-->
<div id="wrap">



<article>
<!--內容開始-->
	<section>
		<div class="MemeberTitle">訊息</div>
		<div class="MemberLoginBk">
			<div class="PageContent">
				<p><?php echo $Msg_St;//訊息 ?></p>
			</div>
			
		</div>
	</section>
	
<!--內容開始-->
</article>

  </div>
 </form>
</body>
</html>

<!--PHP_script-->
<script language="JavaScript">
<?php
if($showBox_Flag=="1")
{
?>
     OpenAlert(10,'C','<?php echo $showBox_Msg;//錯誤訊息?>','<?php echo $showBox_Link;//錯誤的連結資訊?>');
<?php
}
?>
</script>
