<?php
ini_set('session.gc_maxlifetime', 3600);
session_start();
ob_start();
include_once("manasystem/Library/Library.php");
include_once("manasystem/Library/db_fuction.php");
include_once("manasystem/Library/tool.php");
include_once("manasystem/Library/Now_date.php");
include_once("manasystem/Library/httpPost.php");
include_once("manasystem/Library/P_OrderNumebr.php");
include_once("manasystem/Library/F_DateFunction.php");
include_once("manasystem/Library/LineNotify/F_LineNotify.php");
?>
<?php
	//本頁參數設定
	$MenuNum = 0; //0:首頁, 1:品牌介紹, 2:最新消息, 3:體驗活動, 4:預約活動, 5:線上購物, 6:會員專區
	$TopPageName = ""; //上一階層(列表類的頁面使用，若無則免填)
	$TopPageUrl = ""; //上一階層連結檔名(列表類的頁面使用，若無則免填)
	$pageName = "購物車"; //本頁名稱
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">
<?php


//Cookie變數======================================= 
$expires =time() - 3600 ; //目前的 timestamp + 秒數(time() + 86400)
$path = "/"; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
$domain = ""; //目前的 domain，只可設定為子網域，不可設定成其他網域
$secure = false;//
$httpOnly = true; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得
//Cookie變數======================================= 


//須變更的參數=======================================
 $lang_st=1;//
 $BuyTeamPlatform="ERP";//平台
 $type="1";//登入狀態 1:未登入 2:已登入

 $MetaInfoLang_Version=$lang_st;//[Meta內容]版本
 $MetaInfoLang_upload_dir_1="manasystem/FileData/MetaInfoLang/";//[Meta內容][檔案路徑]
 

 $ProdLang_Version=$lang_st;//[產品資訊]語系
 $ProdInfo_upload_dir_1 = "manasystem/FileData/ProdInfo/"; //[產品資訊][檔案路徑]
 $ProdInfo_DF = "images/Imgdf/img_ready.jpg"; //[產品資訊-預設][檔案路徑]
//須變更的參數=======================================

//表單變數=======================================    
  $Form_url_st="";//
  $showBox_Flag=2;//是否開啟訊息框 1:開啟 2:不開啟
  $showBox_Msg="";//錯誤訊息
  $showBox_Link="";//錯誤的連結資訊

  $Meta_title="";//標題名稱
  $Meta_description="";//描述
  $Meta_site_name="小商店B2B";//網站名稱
  $Meta_image="";//圖片

  $Msg_St="";//訊息內容
  $Link_St="";//[連結資訊]

  $Lit_ProdItme=""; //[購物車]品項

  $Lit_CartPrice="0"; //購物總金額

  $Lit_ProdItemTotal="0";//產品項目
  $Lit_ProdTotal="0";//產品數量

  $FreightTermTitle="";//運費條件說明
  $FreightLimit="0";//運費限制
  $FreightTerm_Price="0";//運費金額

  $CTM003="";//客戶名稱
  $CTM001="";//客戶簡稱
  $CTM_NotifyToken="";//Notify Token
//表單變數=======================================    

$tool = new tool();
//呼叫函數=======================================

  $CTM001=$_GET['SN'];
  Load_SALCTM($CTM001);  

  $Form_url_st = $Form_url_st."?SN=".$_GET['SN'];
  Load_MetaInfo();//載入[Meta內容]
  if(isset($_SESSION["bf_loginView"]))
  {
    
    if ($_SESSION["bf_loginView"]==='True')//三個[=]的功能:比較兩者是否相等 (包含資料型態)
    {
      
    }else{
    	 $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
        $showBox_Msg="請先登入在進行結單";//錯誤訊息
        $showBox_Link="https://access.line.me/oauth2/v2.1/authorize?response_type=code&client_id=".$LineLogin_ChannelId."&redirect_uri=".$LineLogin_redirect_uri."&state=shopcart&bot_prompt=normal&scope=profile%20openid%20email";//錯誤的連結資訊

     
    }

  }else{
     $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
     $showBox_Msg="請先登入在進行結單";//錯誤訊息
     $showBox_Link="https://access.line.me/oauth2/v2.1/authorize?response_type=code&client_id=".$LineLogin_ChannelId."&redirect_uri=".$LineLogin_redirect_uri."&state=shopcart&bot_prompt=normal&scope=profile%20openid%20email";//Linr登入連結";//錯誤的連結資訊
  }

  if(isset($_SESSION["bf_loginView"]))
  {
		if ($_SESSION["bf_loginView"]==='True')
		{
			//已經登入
			$type="2";//登入狀態 1:未登入 2:已登入	
		}
  }

  if($type=="2")
  {

		   if(isset($_POST['action'])  )
		   {
		      if( addslashes($_POST['action'])=='add' ) //執行新增動作
		      {
                if(isset($_GET['SN']))
                {
                    $Msg="";
                    $Msg=CK_ProdStock();//檢核庫存
                    if($Msg=='')
                    {
                       Insert_OrderInfo();//新增[訂單]
                     }else{
                         $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
                         $showBox_Msg="[".$Msg."]庫存不足";//錯誤訊息
                         $showBox_Link="shopCartB2B.php?SN=".$_GET['SN'];//錯誤的連結資訊
                    }
                }else{
                    $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
                    $showBox_Msg="[登入錯誤，請重新操作一次]";//錯誤訊息
                    $showBox_Link="shopCartB2B.php?SN=".$_GET['SN'];//錯誤的連結資訊
                }


		      }
		   }


	  	if (isset($_COOKIE['counter'])) 
		{
			    $counter = $_COOKIE['counter'];
			    if ($counter > 0) 
			    {
			       $Lit_ProdItme = Call_ProdInfo(); //[購物車]品項
			       Load_FreightInfo();//載入[運費]
			    } else {
			     	 $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
				     $showBox_Msg="購物車無相關資料";//錯誤訊息
				     $showBox_Link="menu.php?SN=".$_GET['SN'];//錯誤的連結資訊
			    }

		} else {

			 $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
		     $showBox_Msg="購物車無相關資料";//錯誤訊息
		     $showBox_Link="menu.php?SN=".$_GET['SN'];//錯誤的連結資訊

			
		}
	    
  }



  
//呼叫函數=======================================


?>
<?php

//===============================================
//[檢核庫存]
//===============================================
function  CK_ProdStock()
{
    $Msg="";
    if (isset($_COOKIE['counter'])) 
    {
       
        
        $counter = $_COOKIE['counter'];//購物車[品項數項]
        for ($i = 1; $i <= $counter; $i++) 
        {
            $prodId="";//產品ID
            $prodStock="";//訂購數量
            $prodFid="";//單位
            

            if (isset($_COOKIE['Pid'][$i])) //產品ID
            {
              $prodId=$_COOKIE['Pid'][$i];
            }

            if (isset($_COOKIE['Stock'][$i])) //訂購數量
            {
              $prodStock=$_COOKIE['Stock'][$i];//訂購數量
            }

            if (isset($_COOKIE['Fid'][$i])) //單位
            {
              $prodFid=$_COOKIE['Fid'][$i];//單位
            }


            $Stock=Load_ProdStock($prodId,$prodStock,$prodFid);
            $Pid[$_COOKIE['Pid'][$i]] =$Pid[$_COOKIE['Pid'][$i]]+ $Stock ;
          
            

        }
          //print_r(count($Pid));

        for ($j = 1; $j <= count($Pid); $j++) 
        {
            $ProdInfo_Id=$_COOKIE['Pid'][$j];
            $ProdInfo_Stock=$Pid[$_COOKIE['Pid'][$j]];
            $d1_sql_st="";
            $d1_sql_st=$d1_sql_st."select count(*) as total from ProdInfo ";
            $d1_sql_st=$d1_sql_st." where ";
            $d1_sql_st=$d1_sql_st."          ProdInfo_Id='$ProdInfo_Id'";
            $d1_sql_st=$d1_sql_st."      and (ProdInfo_Stock-ProdInfo_StockTmp)>='$ProdInfo_Stock' ";
            $total=0;
            global $_DB;//注意這行
            $db1=new DB();
            $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
            $db1->query($d1_sql_st);
            while ($result = $db1->fetch_array())
            {
                $total=$result['total'];
            }
            $db1->close_Mysql();

     
            if($total>0)
            {
              
            }else{
               $Msg=$Msg.Load_ProdInfo($_COOKIE['Pid'][$j],1)."、";
            }

         
        }

    }

  

    if($Msg<>"")
    {
      $Msg=mb_substr( $Msg,0,mb_strlen($Msg, "utf-8")-1,"utf-8");
    }

   return $Msg;

}


//===============================================
//判斷產品庫存是否有庫存
//$ProdInfo_Id:產品ID
//$ProdInfo_Stock:訂購數量
//$Fid:單位
//===============================================
function  Load_ProdStock($ProdInfo_Id, $ProdInfo_Stock,$Fid)
{
  
    $d1_sql_st="";
    $d1_sql_st=$d1_sql_st." select *  from ProdInfo ";
    $d1_sql_st=$d1_sql_st." join INVXUT on XUT001=ProdInfo_Number ";
    $d1_sql_st=$d1_sql_st." where ";
    $d1_sql_st=$d1_sql_st."          ProdInfo_Id='$ProdInfo_Id'";
    $d1_sql_st=$d1_sql_st."      and XUT002='$Fid'";
    $d1_sql_st=$d1_sql_st." LIMIT 1 ";
  

    $d1_count=1;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql_st);
    while ($result = $db1->fetch_array())
    {
        $d1_count=$result['XUT003'];

    }
    $db1->close_Mysql();
    $Stocknum=$d1_count*$ProdInfo_Stock;

    return $Stocknum;
  
}



//===============================================
//新增[訂單]
//===============================================
function  Insert_OrderInfo()
{
	 //參數=======================================	
      global $showBox_Flag;//是否開啟訊息框 1:開啟 2:不開啟
      global $showBox_Msg;//錯誤訊息
      global $showBox_Link;//錯誤的連結資訊

      global $BuyTeamPlatform;//平台分類
      global $CartTeam_IsDliType;//是否限開放宅配 1:是(宅配給跟團者) 2:否(團主發貨)
      global $Credit_limit; //[信用卡-訂單繳費時間](單位:分鐘)

      global $TradeDesc;//交易描述
      global $ReturnURL; //[訂單]付款完成通知回傳網址
      global $ClientBackURL;//[訂單]返回的網址(會員專區)

      global $MemberInfo_Name;//姓名
      global $MemberInfo_iphone;//聯絡電話
      global $MemberInfo_Tel;//市話
      global $MemberInfo_TelExt;//市話分機
      global $MemberInfo_Email;//E-mail

      global $FreightTerm_Price;//運費金額
    //參數=======================================     

     $tool=new tool();
     $date1=new Now_date();

      $P_OrderNumebr=new P_OrderNumebr();
      $OrderInfo_SN=$P_OrderNumebr->Insert_OrderNumebr("B",1);//訂單編號



      $COD001=$OrderInfo_SN ;//訂單編號
      $COD1001="";//團單編號
      $COD1002="1";//繳費狀態 1:待繳費 2:已繳費 3:未繳費(繳費逾期) 4:取消訂單 5:繳費異常
      $COD004= $_GET["SN"];//客戶編號
      
      $COD017= "0";//實際金額
      $COD074= "0";//運費


      $COD1003= $MemberInfo_Name;//訂購人-姓名----------
      $COD1004= $MemberInfo_Tel.$MemberInfo_TelExt;//訂購人-電話----------
      $COD1005= $MemberInfo_iphone;//訂購人-手機號碼----------
      $COD1006= $MemberInfo_Email;//訂購人-電子郵件----------
      $COD1007= "";//訂購人-郵遞區號----------
      $COD1008= "";//訂購人-城市----------
      $COD1009= "";//訂購人-行政區----------
      $COD1010= "";//訂購人-地址----------

    $d1_sql="";
    $d1_sql=$d1_sql." select * from SALCTM ";
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."        CTM001='$COD004' ";
    

    $ProdSub_Total=0;//小計
    global $_DB;
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while($result1 = $db1->fetch_array())
    {     
        $COD045= $result1["CTM003"];//收件人-姓名
        //$COD047= $result1["CTM016"];//收件人-電話
        //$COD049= $result1["CTM016"];//收件人-手機號碼
        $COD071= $result1["CTM027"];
        $COD010= $result1["CTM026"];//郵遞區號
        $COD005= $result1["CTM028"];//業務ID
    }
    $db1->close_Mysql();

     
      $COD1011= "";//收件人-電子郵件


     
     

      $COD1014= addslashes($_POST['Payment']);//付款方式 2:信用卡 3:匯款/ATM轉帳(串接金流) 5:LinePay 

     switch ($COD1014)//繳費方式 2:信用卡 4:ATM(無串金流)
	  {
			case "2"://2:信用卡
				 $COD1016 = "'".Load_addminutes($date1->Now_st(),$Credit_limit)."'";//最後付款期限
			break;
										
			case "3"://3:匯款/ATM轉帳(串接金流)
				 $COD1016 = "'".Load_addminutes($date1->Now_st(),$Credit_limit)."'";//最後付款期限
			break;

			case "5"://5:LinePay
			    $COD1016 = "'".Load_addminutes($date1->Now_st(),$Credit_limit)."'";//最後付款期限
			break;
							
			default:
				$COD1016 ="null" ;//最後付款期限		
			break;
	  }
      $COD901= $COD005;
      $COD902= $date1->Now_st();//建立日期
      $COD903= $COD005;//修改者 
      $COD904= $date1->Now_st();//修改日期
      $COD1021= "2";//是否團購  1:是 2:否
      $COD1022= addslashes($_POST['COD1022']);//備註
      $COD1023= $BuyTeamPlatform;//平台分類
      $COD1024= "2";//[團單]是否開放宅配 1:是 2:否 
      $COD1032= "";//取貨時間

   switch ($COD1015)
	 {
  		case "1"://1:超商取貨 
   			$COD1033= "3";//配送方式  1:宅配 2:自取  3:超商取貨
  		break;

  		case "2":// 2:宅配 
  		 $COD1033= "1";//配送方式  1:宅配 2:自取  3:超商取貨
  		break;


  		case "3"://3:自取
  		 $COD1033= "2";//配送方式  1:宅配 2:自取  3:超商取貨
  		break;
  							
  		default:
  			 $COD1033= "";//配送方式  1:宅配 2:自取  3:超商取貨						
  		break;

	  }


   $InvoiceCate=addslashes($_POST['Invoice']);//發票資料 1:個人發票 2:企業發票
	 switch ($InvoiceCate)
	 {
  		case "1"://1:個人發票 
  		  $COD1034= "";//統編號碼
        $COD1042= "";//統編抬頭
  		break;

  		case "2"://2:企業發票]
  		   $COD1034= addslashes($_POST['COD1034']);//統編號碼
         $COD1042= addslashes($_POST['COD1042']);//統編抬頭
  		break;
  							
  		default:
  								
  		break;

	  }
      $COD003=date("Ymd");
     
    

      $d1_sql="";
      $d1_sql = $d1_sql . "Insert into PURCOD ";
      $d1_sql = $d1_sql . " ( ";
      $d1_sql = $d1_sql . "   COD001, ";//訂單編號
      $d1_sql = $d1_sql . "   COD002, ";//性質
      $d1_sql = $d1_sql . "   COD003, ";//日期
      $d1_sql = $d1_sql . "   COD007, ";//幣別
      $d1_sql = $d1_sql . "   COD008, ";//匯率
      $d1_sql = $d1_sql . "   COD004, ";//客戶編號
      $d1_sql = $d1_sql . "   COD005, ";//業務ID
      $d1_sql = $d1_sql . "   COD016, ";//營業稅率
      $d1_sql = $d1_sql . "   COD017, ";//實際金額(含運費)
      $d1_sql = $d1_sql . "   COD022, ";//  確認碼(T/F)
      $d1_sql = $d1_sql . "   COD026, ";//  訂單本幣金額
      $d1_sql = $d1_sql . "   COD033, ";//請款客戶編號
      $d1_sql = $d1_sql . "   COD037, ";//運費
      $d1_sql = $d1_sql . "   COD051, ";//發票聯式
      $d1_sql = $d1_sql . "   COD052, ";//課稅別
      $d1_sql = $d1_sql . "   COD054, ";//付款條件
      $d1_sql = $d1_sql . "   COD055, ";//運送方式
      $d1_sql = $d1_sql . "   COD065, ";//作廢(T/F)
      $d1_sql = $d1_sql . "   COD045, ";//訂購人-姓名
      $d1_sql = $d1_sql . "   COD047, ";//訂購人-電話
      $d1_sql = $d1_sql . "   COD068, ";//收件人-姓名
      $d1_sql = $d1_sql . "   COD069, ";//收件人-電話
      $d1_sql = $d1_sql . "   COD071, ";//收件人-地址
      $d1_sql = $d1_sql . "   COD074, ";//客戶負擔運費(T/F)
      $d1_sql = $d1_sql . "   COD049, ";//收件人-手機號碼
      $d1_sql = $d1_sql . "   COD070, ";//收件人-郵遞區號
      $d1_sql = $d1_sql . "   COD011, ";//收件人-地址
      $d1_sql = $d1_sql . "   COD901, ";//建立者
      $d1_sql = $d1_sql . "   COD902, ";//建立日期
      $d1_sql = $d1_sql . "   COD903, ";//修改者
      $d1_sql = $d1_sql . "   COD1023, ";//平台分類
      $d1_sql = $d1_sql . "   COD012 ";//備註
      $d1_sql = $d1_sql . " ) values ( ";
      $d1_sql = $d1_sql . "   '$COD001', ";//訂單編號
      $d1_sql = $d1_sql . "   'WEB', ";//性質
      $d1_sql = $d1_sql . "   '$COD003', ";//日期
      $d1_sql = $d1_sql . "   'TWD', ";//幣別
      $d1_sql = $d1_sql . "   '1', ";//匯率
      $d1_sql = $d1_sql . "   '$COD004', ";//客戶編號
      $d1_sql = $d1_sql . "   '$COD005', ";//業務ID
      $d1_sql = $d1_sql . "   '0.0500', ";//營業稅率
      $d1_sql = $d1_sql . "   '$COD017', ";//實際金額(含運費)
      $d1_sql = $d1_sql . "   'T', ";//確認碼(T/F)
      $d1_sql = $d1_sql . "   '0', ";//訂單本幣金額
      $d1_sql = $d1_sql . "   '$COD004', ";//請款客戶編號
      $d1_sql = $d1_sql . "   '$COD074', ";//運費
      $d1_sql = $d1_sql . "   '2', ";//發票聯式
      $d1_sql = $d1_sql . "   '4', ";//課稅別
      $d1_sql = $d1_sql . "   '', ";//付款條件
      $d1_sql = $d1_sql . "   '', ";//運送方式
      $d1_sql = $d1_sql . "   'F', ";//作廢(T/F)
      $d1_sql = $d1_sql . "   '$COD045', ";//訂購人-姓名
      $d1_sql = $d1_sql . "   '$COD047', ";//訂購人-電話
      $d1_sql = $d1_sql . "   '$COD045', ";//收件人-姓名
      $d1_sql = $d1_sql . "   '$COD047', ";//收件人-電話
      $d1_sql = $d1_sql . "   '$COD071', ";//收件人-地址
      $d1_sql = $d1_sql . "   '0', ";//客戶負擔運費(T/F)
      $d1_sql = $d1_sql . "   '$COD049', ";//收件人-手機號碼
      $d1_sql = $d1_sql . "   '$COD010', ";//收件人-郵遞區號
      $d1_sql = $d1_sql . "   '$COD071', ";//收件人-地址
      $d1_sql = $d1_sql . "   '$COD901', ";//建立者
      $d1_sql = $d1_sql . "   '$COD902', ";//建立日期
      $d1_sql = $d1_sql . "   '$COD903', ";//修改者
      $d1_sql = $d1_sql . "   '$COD1023', ";//平台分類
      $d1_sql = $d1_sql . "   '$COD1022' ";//備註
      $d1_sql = $d1_sql . " ) ";
      
      
      $d1_status=0;
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $d1_status=$db1->query($d1_sql);
      $d1_status=$db1->get_insert_id();//取得主鍵編號
      $db1->close_Mysql();
      if ($d1_status>0)
      {
      	   Insert_OrderDetail($json_obj,$d1_status, $COD001,$COD005); //新增[訂單資訊-明細]
       
	       $OrderM_Price=0;//訂單金額
	       $OrderM_Price=Update_OrderPrice($COD001);//更新[訂單金額]
	       clear_Cookie(); //[清除COOKie]-----yulin


          $Parm_st="";
          $Parm_st=$Parm_st."&SN=".$COD001;//訂單編號

          post_platform_prod($COD001);

          //notify發送訊息-----------------------------------------------------
          send_Notify_Msg($COD001);
          //notify發送訊息-----------------------------------------------------

          $tool->HtmEnd("", 2, "shopCart_CompleteNOPay.php?SN=".$COD001);


      }else{
          //訂單新增失敗
         $showBox_Flag=1;//是否開啟訊息框 1:開啟 2:不開啟
         $showBox_Msg="訂單新增失敗";//錯誤訊息
         $showBox_Link="index.php";//錯誤的連結資訊
      }

}

//===============================================
//傳送平台資料
//===============================================
 function post_platform_prod($COD001)
{
    global $Domain_st;//網域


    $tool=new tool();
    $date1=new Now_date();
    $ITM_API_platform_UpdateTime=$date1->Now_st();
    $json_obj="{}";
    $cur_url = $Domain_st."/cloud-API/tk_platform_PURCOD.php?action=post&COD001=".$COD001; //API位置

    $header = array("Content-Type: application/json; charset=utf-8","Authorization:Bearer ");
    $http_Method = "POST"; //HTTP Method
    $http_code = 200; //HTTP header的狀態碼
    $str = get_RemoteDataHttpStatus($cur_url, $header, $json_obj, $http_Method, $http_code);
    $TEAT="";
    

}

//===============================================
//[清除COOKie]
//===============================================
function clear_Cookie()
{

    //Cookie變數======================================= 
    global $expires; //目前的 timestamp + 秒數(time() + 86400)
    global $path; //根目錄，整個網站都能使用，預設會是網頁當下的目錄
    global $domain; //目前的 domain，只可設定為子網域，不可設定成其他網域
    global $secure; //
    global $httpOnly; //無法使用 Javascript 取得 Cookie，防止有心人士釣魚取得

    global $FeedCateM_Total; //[加料類別]筆數
    //Cookie變數======================================= 

    if (isset($_COOKIE['counter'])) 
    {

	      $counter = $_COOKIE['counter'];
	      for ($i = 1; $i <= $counter; $i++) 
	      {
	        setcookie("Pid[" . $i . "]", "", $expires, $path, $domain, $secure, $httpOnly); //產品ID
	        setcookie("Stock[" . $i . "]", "", $expires, $path, $domain, $secure, $httpOnly); //訂購數量
            setcookie("Fid[" . $i . "]", "", $expires, $path, $domain, $secure, $httpOnly); //單位
	      }
	      setcookie("counter", "",  $expires, $path, $domain, $secure, $httpOnly); //數量
          setcookie("isExist","", $expires, $path, $domain, $secure, $httpOnly);//是否清除的視窗
    }



    if (isset($_COOKIE['LogisticsSubType']))//物流子類型
    {
       setcookie("LogisticsSubType","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['CVSStoreID']))//User 所選之超商店舖編號
    {
       setcookie("CVSStoreID","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['CVSStoreName']))//User 所選之超商店舖名稱
    {
       setcookie("CVSStoreName","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['CVSAddress']))//User 所選之超商店舖地址
    {
       setcookie("CVSAddress","",  $expires, $path, $domain, $secure, $httpOnly); 
    }

    if (isset($_COOKIE['CVSTelephone']))//User 所選之超商店舖電話
    {
        setcookie("CVSTelephone","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['CVSOutSide']))//User 所選之超商店舖是否為離島店鋪
    {
       setcookie("CVSOutSide","",  $expires, $path, $domain, $secure, $httpOnly);
    }

    if (isset($_COOKIE['ExtraData']))//額外資訊
    {
       setcookie("ExtraData","",  $expires, $path, $domain, $secure, $httpOnly);
    }


}
//===============================================
//更新[訂單金額]
//$$COE001:訂單編號
//===============================================
function Update_OrderPrice($COE001)
{
          

       $d1_sql="";
       $d1_sql=$d1_sql." select * from PURCOE ";
       $d1_sql=$d1_sql." where ";
       $d1_sql=$d1_sql."        COE001='$COE001' ";


       $ProdSub_Total=0;//小計
       global $_DB;
       $db1=new DB();
       $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
       $db1->query($d1_sql);
       while($result1 = $db1->fetch_array())
       {     
          $ProdSub_Total=  $ProdSub_Total+$result1["COE010"]; 
       }
       $db1->close_Mysql();

       $COD017=0;//訂單金額
       $COD017=$ProdSub_Total;
       $COD018 = $COD017*0.05;
       $COD001=$COE001;//訂單編號
       $COD056 = $COD017 - $COD018 ;
       $d2_sql="";
       $d2_sql=$d2_sql." Update PURCOD   ";
       $d2_sql=$d2_sql."   set  ";
       $d2_sql=$d2_sql."      COD017='$COD017', ";
       $d2_sql=$d2_sql."      COD019='$COD017', ";
       $d2_sql=$d2_sql."      COD020='$COD018', ";
       $d2_sql=$d2_sql."      COD056='$COD056', ";
       $d2_sql=$d2_sql."      COD057='$COD056', ";
       $d2_sql=$d2_sql."      COD018='$COD018' ";
       $d2_sql=$d2_sql." where ";
       $d2_sql=$d2_sql."        COD001='$COD001' ";


       $d2_status = 0;
       global $_DB; //注意這行
       $db2 = new DB();
       $db2->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
       $d2_status = $db2->query($d2_sql);
       $db2->close_Mysql();

       return $COD017;

}
//===============================================
//產生 guidkey
//===============================================
function guid(){
    if (function_exists('com_create_guid')){
        return com_create_guid();
    }else{
        mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
        $charid = strtoupper(md5(uniqid(rand(), true)));
        $hyphen = chr(45);// "-"
        $uuid = chr(123)// "{"
            .substr($charid, 0, 8).$hyphen
            .substr($charid, 8, 4).$hyphen
            .substr($charid,12, 4).$hyphen
            .substr($charid,16, 4).$hyphen
            .substr($charid,20,12)
            .chr(125);// "}"
        return $uuid;
    }
}
//===============================================
//新增[訂單資訊-明細]
//$json_obj:json格式資料
//$COE1001:訂單ID
//$COE001:訂單編號
//===============================================
function  Insert_OrderDetail($json_obj,$COE1001, $COE001,$COD005)
{
   //參數=======================================     
    global $FreightTerm_Price;//運費金額
  //參數=======================================    


   $tool = new tool();
   $date1 = new Now_date();

   $Price_Total=0;//訂單產品總額

    if (isset($_COOKIE['counter'])) 
    {

    	$counter = $_COOKIE['counter'];//購物車[品項數項]
		$Lit_ProdItemTotal=$counter;//產品項目


		for ($i = 1; $i <= $counter; $i++) 
	    {
	    	   $prodId="";//產品ID
	    	  $prodStock="";//訂購數量
              $prodFid="";//單位

	        if (isset($_COOKIE['Pid'][$i])) //產品ID
	        {
	          $prodId=$_COOKIE['Pid'][$i];
	        }

	        if (isset($_COOKIE['Stock'][$i])) //訂購數量
	        {
	          $prodStock=$_COOKIE['Stock'][$i];//訂購數量
	        }

            if (isset($_COOKIE['Fid'][$i])) //單位
            {
              $prodFid=$_COOKIE['Fid'][$i];//單位
            }
 			
 			       $ProdInfo_Id=$prodId;//產品ID
             $ProdTotal=$prodStock;//訂購數量

             $COE1002 = "1"; //類別 1:產品 
             $COE1001 = $COE1001; //訂單-主表ID
             $COE001 = $COE001; //訂單編號
             $PURCOE_Pid = $ProdInfo_Id; //產品ID

             $COE003 = Load_ProdInfo($ProdInfo_Id, 4); //產品編號
             $COE004 =addslashes(Load_ProdInfo($ProdInfo_Id, 1)); //商品名稱
             $COE005 =$prodFid; //交易單位
             $COE006 = $ProdTotal; //數量   
             //$COE009 = Load_ProdInfo($ProdInfo_Id, 3); //單價價格
             $COE009=Load_ProdPrice($ProdInfo_Id,$prodFid);
             $COE010 = ($COE006 * $COE009); //總價格 
             $COE013 = date("Ymd"); 
             $Price_Total=$Price_Total+$COE010;//訂單產品總額
             $COE901 = $COD005;
             $COE902 = $date1->Now_st();
             $COE903 = $COD005;
             $COE904 = $date1->Now_st();
             $COE999 = guid();

             $COE021 = $COE009*0.05;
             $COE034 = $COE009-$COE021;

            


              $d1_sql = "";
              $d1_sql = $d1_sql . "Insert into PURCOE ";
              $d1_sql = $d1_sql . " ( ";
              $d1_sql = $d1_sql . "    COE001, ";
              $d1_sql = $d1_sql . "    COE002, ";
              $d1_sql = $d1_sql . "    COE003, ";
              $d1_sql = $d1_sql . "    COE004, ";
              $d1_sql = $d1_sql . "    COE005, ";
              $d1_sql = $d1_sql . "    COE006, ";
              $d1_sql = $d1_sql . "    COE007, ";
              $d1_sql = $d1_sql . "    COE009, ";
              $d1_sql = $d1_sql . "    COE011, ";
              $d1_sql = $d1_sql . "    COE012, ";
              $d1_sql = $d1_sql . "    COE013, ";
              $d1_sql = $d1_sql . "    COE014, ";
              $d1_sql = $d1_sql . "    COE015, ";
              $d1_sql = $d1_sql . "    COE020, ";
              $d1_sql = $d1_sql . "    COE021, ";
              $d1_sql = $d1_sql . "    COE022, ";
              $d1_sql = $d1_sql . "    COE027, ";
              $d1_sql = $d1_sql . "    COE033, ";
              $d1_sql = $d1_sql . "    COE034, ";
              $d1_sql = $d1_sql . "    COE035, ";
              $d1_sql = $d1_sql . "    COE901, ";
              $d1_sql = $d1_sql . "    COE902, ";
              $d1_sql = $d1_sql . "    COE903, ";
              $d1_sql = $d1_sql . "    COE904, ";
              $d1_sql = $d1_sql . "    COE999, ";
              $d1_sql = $d1_sql . "    COE010 ";
              $d1_sql = $d1_sql . " ) values ( ";
              $d1_sql = $d1_sql . "    '$COE001', ";//訂單主表的單號
              $d1_sql = $d1_sql . "    '$i', ";//序號
              $d1_sql = $d1_sql . "    '$COE003', ";//品號
              $d1_sql = $d1_sql . "    '$COE004', ";//品名
              $d1_sql = $d1_sql . "    '$COE005', ";//單位
              $d1_sql = $d1_sql . "    '$COE006', ";//數量
              $d1_sql = $d1_sql . "    '$COE009', ";//定價
              $d1_sql = $d1_sql . "    '$COE009', ";//單價
              $d1_sql = $d1_sql . "    '$COE009', ";//本幣金額
              $d1_sql = $d1_sql . "    '', ";//贈品
              $d1_sql = $d1_sql . "    '$COE013', ";//預交日期----
              $d1_sql = $d1_sql . "    '0', ";//已交量---必填
              $d1_sql = $d1_sql . "    'N', ";//結案碼---必填
              $d1_sql = $d1_sql . "    '0.0500', ";//稅率
              $d1_sql = $d1_sql . "    '$COE021', ";//原幣稅額
              $d1_sql = $d1_sql . "    '$COE021', ";//本幣稅額
              $d1_sql = $d1_sql . "    '', ";//備註
              $d1_sql = $d1_sql . "    '', ";//客戶商品描述
              $d1_sql = $d1_sql . "    '$COE034', ";//未稅金額
              $d1_sql = $d1_sql . "    '$COE034', ";//本幣未稅金額
              $d1_sql = $d1_sql . "    '$COE901', ";
              $d1_sql = $d1_sql . "    '$COE902', ";
              $d1_sql = $d1_sql . "    '$COE903', ";
              $d1_sql = $d1_sql . "    '$COE904', ";
              $d1_sql = $d1_sql . "    '$COE999', ";//單身隱藏KEY (GUID)
              $d1_sql = $d1_sql . "    '$COE010' ";//總金額
              $d1_sql = $d1_sql . " ) ";

              $d1_status = 0;
              global $_DB; //注意這行
              $db1 = new DB();
              $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
              $d1_status = $db1->query($d1_sql);
              $d1_status = $db1->get_insert_id(); //取得主鍵編號
              $db1->close_Mysql();

              Update_ProdInfo_StockTmp($ProdInfo_Id,$COE006);//更新[產品暫存的庫存]
	
	    }

    }

}

//===============================================
//更新[產品暫存的庫存]
//$ProdInfo_Id:產品ID
//$ProdInfo_StockTmp:暫存庫存量
//===============================================
function Update_ProdInfo_StockTmp($ProdInfo_Id,$ProdInfo_StockTmp)
{
  
      $d1_sql="";
      $d1_sql=$d1_sql."Update ProdInfo ";
      $d1_sql=$d1_sql." set ";
      $d1_sql=$d1_sql."     ProdInfo_StockTmp=ProdInfo_StockTmp+'$ProdInfo_StockTmp' ";
      $d1_sql=$d1_sql." where ";
      $d1_sql=$d1_sql."   ProdInfo_Id='$ProdInfo_Id' ";
    
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $db1->query($d1_sql);
      $db1->close_Mysql();
     
}

//===============================================
//呼叫[產品資訊]
//===============================================
function  Call_ProdInfo()
{
    //參數==============================================
     global $FeedItem_Version;//[副餐品項]
	 global $FeedItem_upload_dir_1; //[副餐品項][檔案路徑]

	 global $Lit_CartPrice; //購物總金額
	 global $Lit_ProdItemTotal;//產品項目
     global $Lit_ProdTotal;//產品數量

     global $IsPriceB2B;//[B2B]顯示價格 1:不顯示 2:顯示
    //參數==============================================

    $ItmePrice_st="";
    $Item_st = "";
    if (isset($_COOKIE['counter'])) 
    {

    	$counter = $_COOKIE['counter'];//購物車[品項數項]
    	$Lit_ProdItemTotal=$counter;//產品項目


		for ($i = 1; $i <= $counter; $i++) 
	    {
	    	$prodId="";//產品ID
	    	$prodStock="";//訂購數量
            $prodFid="";//單位
            $XUT003="";//單位量

	        if (isset($_COOKIE['Pid'][$i])) //產品ID
	        {
	          $prodId=$_COOKIE['Pid'][$i];
	        }

	        if (isset($_COOKIE['Stock'][$i])) //訂購數量
	        {
	          $prodStock=$_COOKIE['Stock'][$i];//訂購數量
	        }

            if (isset($_COOKIE['Fid'][$i])) //單位
            {
              $prodFid=$_COOKIE['Fid'][$i];//單位
            }

	     
		    $ProdPrice=Load_ProdPrice($prodId,$prodFid);//單價

		    $ProdPrice_Total=0;//產品金額
		    $ProdPrice_Total=$ProdPrice;//產品金額
          


		    $maxcount=0;//套餐最大數量
		    $maxcount=Load_ProdInfo($prodId, 5)-Load_ProdInfo($prodId, 6);// 庫存 - 暫存庫存量
		    if($maxcount<0)
			{
			   $maxcount=0;//套餐最大數量
			}

			$ProdImg=Load_ProdInfo($prodId, 7);//產品封面圖
			$ProdTitle=Load_ProdInfo($prodId, 1);//標題
			$ProdSN=Load_ProdInfo($prodId, 4);//產品編號

             $d1_sql = "";
            $d1_sql = $d1_sql . " select IFNULL(XUT003,1) as XUT003 ";
            $d1_sql = $d1_sql . " from INVXUT  ";
            $d1_sql = $d1_sql . " where  ";
            $d1_sql = $d1_sql . "       XUT001='$ProdSN' and  XUT002='$prodFid' ";

            $d1_st = "";
            global $_DB;
            $db1 = new DB();
            $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
            $db1->query($d1_sql);
            while ($result1 = $db1->fetch_array()) 
            {
        		$XUT003=$result1['XUT003'];
            }
			
			$Item_st=$Item_st."<li class='SPBkItem' data-itemid='".$i."' data-pid='".$prodId."' data-price='".$ProdPrice."' data-maxcount='".$maxcount."' data-xutnum='".$XUT003."' >";
			$Item_st=$Item_st."  <div class='SBOImg'>";
			$Item_st=$Item_st."     <img src='".$ProdImg."' alt='".$ProdTitle."'/> ";//圖片
			$Item_st=$Item_st."  </div>";
			$Item_st=$Item_st."  <div class='SBOinfo'> ";
			$Item_st=$Item_st."      <div class='SBONumbering'>商品編號:".$ProdSN."</div>";//產品編號
			$Item_st=$Item_st."      <div class='SBOTitle'>".$ProdTitle."</div>";//標題
            $Item_st=$Item_st."      <div class='SBONumbering'>單位:".$prodFid."</div>";//單位
            
			// $Item_st=$Item_st."      <div class='SBOGiveaway'>贈品：極上黑米800g</div>";//贈品
			$Item_st=$Item_st."  </div>";
			$Item_st=$Item_st."  <div class='SBOright'>";
			$Item_st=$Item_st."     <div class='ProductsOrderNum prodCounter'>  ";
			$Item_st=$Item_st."        <div class='ProductsLessBtn'>  ";
			$Item_st=$Item_st."           <input class='subs_btn' type='button' value='-'>";
			$Item_st=$Item_st."        </div> ";
			$Item_st=$Item_st."        <div class='ProductsInputBox'> ";
			$Item_st=$Item_st."           <input class='prodCounter order_count' type='text' value='".$prodStock."' readonly='readonly'> ";//產品數量
			$Item_st=$Item_st."        </div> ";
			$Item_st=$Item_st."         <div class='ProductsAddBtn'> ";
			$Item_st=$Item_st."            <input class='add_btn' type='button' value='+'> ";
			$Item_st=$Item_st."         </div>";
			$Item_st=$Item_st."     </div>";
            if($IsPriceB2B=='1'){
                $Item_st=$Item_st."     <div class='SBOSubtotal' style='display:none;'>小計：<span class='SPBsubPrice'>".($ProdPrice_Total*$prodStock)."</span></div>";//小計
            }else{
                $Item_st=$Item_st."     <div class='SBOSubtotal'>小計：<span class='SPBsubPrice'>".($ProdPrice_Total*$prodStock)."</span></div>";//小計
            }
			
			$Item_st=$Item_st."     <div class='SBORemove'>";
			$Item_st=$Item_st."         <input data-itemid='".$i."' type='button' class='RemoveBtn' value='移除'>";
			$Item_st=$Item_st."     </div>";
			$Item_st=$Item_st."  </div>";
			$Item_st=$Item_st."</li>";
			
	       
	        $Lit_ProdTotal=$Lit_ProdTotal+$prodStock;//產品數量
 			$Lit_CartPrice = $Lit_CartPrice + ($ProdPrice_Total*$prodStock); //購物總金額
	
	    }
    }


    return $Item_st;
   
} 


?>
<?php
//[共用區]

//=================================================================
//載入[產品資訊]
//$ProdInfo_Id:產品資訊
//$Cate:類別 1:產品標題 2:定價 3:售價  4:產品編號 5:庫存 6:暫存庫存量 7:產品封面圖 8:商品類別 9:庫存單位 10:交易單位
//=================================================================
function Load_ProdInfo($ProdInfo_Id, $Cate)
{
   
   //參數=======================================    
     global $ProdInfo_upload_dir_1; //[產品資訊][檔案路徑]
     global $ProdInfo_DF; //[產品資訊-預設][檔案路徑]
    //參數=======================================    

    $d1_sql = "";
    $d1_sql = $d1_sql . "select  ";
    $d1_sql = $d1_sql . "       ProdLang_Title, ";
    $d1_sql = $d1_sql . "       ProdInfo_MarketPrice, ";
    $d1_sql = $d1_sql . "       ProdInfo_SalePrice, ";
    $d1_sql = $d1_sql . "       ProdInfo_Number, ";
    $d1_sql = $d1_sql . "       ProdInfo_Stock, ";
    $d1_sql = $d1_sql . "       ProdInfo_StockTmp, ";
    $d1_sql = $d1_sql . "       ProdInfo_Img, ";
    $d1_sql = $d1_sql . "       ProdLang_Rule, ";
    $d1_sql = $d1_sql . "       ProdInfo_StockUnit, ";
    $d1_sql = $d1_sql . "       ProdInfo_TrdUnit ";
    $d1_sql = $d1_sql . "";
    $d1_sql = $d1_sql . "";
    $d1_sql = $d1_sql . " from  ProdInfo ";
    $d1_sql = $d1_sql . "  left join ProdLang ";
    $d1_sql = $d1_sql . "    on  ProdLang.ProdLang_Mid = ProdInfo.ProdInfo_Id ";
    $d1_sql = $d1_sql . " where ";
    $d1_sql = $d1_sql . "          ProdInfo_Id='$ProdInfo_Id' ";


    $d1_st = "";
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {

      switch ($Cate) {
        case "1": //1:標題
          $d1_st = $result1["ProdLang_Title"];
          break;

        case "2": //2:定價
          $d1_st = $result1["ProdInfo_MarketPrice"];
          break;


        case "3": //3:售價 
          $d1_st = $result1["ProdInfo_SalePrice"];
          break;

        case "4": //4:產品編號 
          $d1_st = $result1["ProdInfo_Number"];
          break;

        case "5": //5:庫存
          $d1_st = $result1["ProdInfo_Stock"];
          break;


        case "6": //6:暫存庫存量
          $d1_st = $result1["ProdInfo_StockTmp"];
          break;


        case "7": //7:產品封面圖

		        if($result1["ProdInfo_Img"]<>"")
		        {
		        	 $d1_st = $ProdInfo_upload_dir_1.$result1["ProdInfo_Img"];
		        }else{
		        	 $d1_st = $ProdInfo_DF; //[產品資訊-預設][檔案路徑]
		        }
         
          break;

        case "8": //8:商品類別
          $d1_st = $result1["ProdInfo_Cate"];
        case "9": //8:庫存單位
          $d1_st = $result1["ProdInfo_StockUnit"];
        case "10": //8:交易單位
          $d1_st = $result1["ProdInfo_TrdUnit"];
        break;



      

        default:
      }
    }
    $db1->close_Mysql();

    return $d1_st;



}

?>
<?php

//=================================================================
//載入[運費]
//=================================================================
function Load_FreightInfo()
{
	//參數=======================================    
     global $BuyTeamPlatform;//平台
     global $Lit_CartPrice; //購物總金額


     global $FreightTermTitle;//運費條件說明
     global $FreightLimit;//運費限制
     global $FreightTerm_Price;//運費金額
    //參數======================================= 

    $FreightInfo_Cate=$BuyTeamPlatform;//平台分類

    $CartPrice=$Lit_CartPrice; //購物總金額

    $d1_sql = "";
    $d1_sql = $d1_sql . "select  * from FreightInfo ";
    $d1_sql = $d1_sql . "  left join FreightTerm ";
    $d1_sql = $d1_sql . "    on  FreightTerm.FreightTerm_Mid= FreightInfo.FreightInfo_Id";
    $d1_sql = $d1_sql . " where ";
    $d1_sql = $d1_sql . "      FreightInfo_Cate='$FreightInfo_Cate' ";
    $d1_sql = $d1_sql . "    and FreightTerm_Scondit<='$CartPrice'  ";
    $d1_sql = $d1_sql . "    and ( FreightTerm_Econdit>='$CartPrice' or FreightTerm_Econdit=0)  ";
    $d1_sql = $d1_sql . "  order by FreightTerm_Scondit desc ,FreightTerm_Id desc    ";
    $d1_sql = $d1_sql . "  limit 1    ";


    $d1_st = "";
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {   
	      if($result1["FreightTerm_Econdit"]==0)
	      {
	      	//以上


	      }else{
	      	//未滿XXX
	      	$FreightTermTitle="購物未滿NT$ ".$result1["FreightTerm_Econdit"]."元，";//運費條件說明
	      }	
	   
		  $FreightLimit=$result1["FreightTerm_Econdit"];//運費限制
		  $FreightTerm_Price=$result1["FreightTerm_Price"];//運費金額
    }
    $db1->close_Mysql();

    return $d1_st;

}


?>
<?php

//===============================================
//載入[Meta內容]
//===============================================
function  Load_MetaInfo()
{
      
     //參數=======================================
      global $MetaInfoLang_Version;//[Meta內容]版本
      global $MetaInfoLang_upload_dir_1;//[Meta內容][檔案路徑]

      global $Meta_title;//標題名稱
      global $Meta_description;//描述
      global $Meta_site_name;//網站名稱
      global $Meta_image;//圖片
      global $Domain_st;//網域
   //參數======================================= 

      $tool = new tool();


      $d1_sql="";
	  $d1_sql=$d1_sql." select * from  MetaInfoLang ";
	  $d1_sql=$d1_sql." where ";
	  $d1_sql=$d1_sql."         MetaInfoLang_Version='$MetaInfoLang_Version' ";
	  $d1_sql=$d1_sql."     and MetaInfoLang_Cate='36' ";//類別 
	  $d1_sql=$d1_sql."     and MetaInfoLang_Type='1' ";//類型 1:Meta
	  $d1_sql=$d1_sql."     and MetaInfoLang_IsWork='1' ";//是否啟用
	  

      $d1_st="";
	  $d1_count=0;
	  global $_DB;
	  $db1=new DB();
	  $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
	  $db1->query($d1_sql);
	  while($result = $db1->fetch_array())
	  { 

	  	  //↓↓[Meta區]===========================================================
            $Meta_title=$result["MetaInfoLang_Title"];//標題名稱
            $Meta_description=$tool->filterMeta($result["MetaInfoLang_Content"]);//描述

            if ($result['MetaInfoLang_Img']!="")
            {
                  if(file_exists($MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']))
                  {
	                    $imgSt="";
	                    $imgSt=$imgSt."<meta property='og:image' content='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
	                    $imgSt=$imgSt."<meta name='twitter:image:src' content='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
	                    $imgSt=$imgSt."<link rel='image_src' href='".$Domain_st."/".$MetaInfoLang_upload_dir_1.$result['MetaInfoLang_Img']."' />\n";
	                    $Meta_image=$imgSt;
                  }
            }
            //↑↑[Meta區]===========================================================


 	  }
      $db1->close_Mysql();

}

function  Load_SALCTM($CTM001)
{

    global $CTM003;//客戶名稱
    global $COD004;//客戶代號
    global $CTM001;//客戶代號 
    

    $d1_sql="";
    $d1_sql=$d1_sql." select * from SALCTM  ";
    $d1_sql=$d1_sql." where ";
    $d1_sql=$d1_sql."      CTM001='$CTM001' ";

    $d1_st="";
    $d1_count =0;
    global $_DB;
    $db1 = new DB();
    $db1->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
    $db1->query($d1_sql);
    while ($result1 = $db1->fetch_array()) 
    {
        $CTM003=$result1['CTM003'];
        $CTM001=$result1['CTM001'];       
                           
    }
    $db1->close_Mysql();    
    

}

//=================================================================
//Notify 發送訊息
//$COD001:訂單ID
//=================================================================
function  send_Notify_Msg($COD001)
{
    
    global $CTM_NotifyToken;//Notify Token
    global $MemberInfo_Name;//姓名
    global $MemberInfo_iphone;//連絡電話
    global $IsLineNotifyB2B;
    global $CTM_Notify_CTM003;//下單人
    global $CTM003;//客戶名稱
    
    $date1=new Now_date();

    $message="";
    $message=$message."<網頁有新訂單>".chr(13).chr(10);
    $message=$message."下單時間:".$date1->Now_st().chr(13).chr(10);
    $message=$message."訂單:".$COD001."  ".$MemberInfo_iphone.chr(13).chr(10);
    $message=$message."訂購人:".$CTM003."-".$CTM_Notify_CTM003;
    if($CTM_NotifyToken<>'' && $IsLineNotifyB2B='2'){
        notify_Send($CTM_NotifyToken,$message);//寄送[Notify訊息]
    }
    
    
    

}


//=================================================================
//載入[產品價格]
//$ProdInfo_Id:產品資訊
//=================================================================
function Load_ProdPrice($ProdInfo_Id,$ProdInfo_TrdUnit)
{
    //參數=======================================
     global $BuyTeamPlatform;//平台
     global $CTM_NotifyToken;//Notify Token
     global $CTM_Notify_CTM003;//下單人
    //參數=======================================

  $ProdPrice="0";//商品價格
  $SALCTM_Mid="";

  $CK_LoginFlag=1;//是否登入 1:未登入 2:登入

  if(isset($_SESSION["bf_SALCTM_id"]))
  {
    if ($_SESSION["bf_SALCTM_id"]<>'') //會員ID
    {
       $CK_LoginFlag=2;//是否登入 1:未登入 2:登入
    }
  }



  if($CK_LoginFlag=="1")
  {
    //1:未登入

     $d2_sql="";
        $d2_sql=$d2_sql."select * from ProdInfo ";
        $d2_sql=$d2_sql."where ";
        $d2_sql=$d2_sql."     ProdInfo_Id='$ProdInfo_Id' ";
       
      
        $d2_count=0;
        global $_DB;//注意這行
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while ($result2 = $db2->fetch_array())
        {
           $ProdPrice=$result2["ProdInfo_SalePrice"];//售價
        }
        $db2->close_Mysql();

  }else{
    //2:登入

        $SALCTM_id=$_SESSION["bf_SALCTM_id"];//會員ID
        $d1_sql="";
        $d1_sql=$d1_sql."select * from SALCTM ";
        $d1_sql=$d1_sql."where ";
        $d1_sql=$d1_sql."     SALCTM_id='$SALCTM_id' ";
       

        $CTM001="";//客戶代號
        $CTM030="0";//適用價格 0.零售價 1.定價一 2.定價二 3.定價三 4.定價四 5.定價五 6.定價六
        $d1_count=0;
        global $_DB;//注意這行
        $db1=new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while ($result = $db1->fetch_array())
        {
            $CTM001=$result["CTM001"];//客戶代號
            $CTM030=$result["CTM030"];//適用價格
            
            $CTM_Notify_CTM003=$result['CTM003']; 
            $SALCTM_Mid=$result['SALCTM_Mid']; 
            
           

            $d2_sql="";
            $d2_sql=$d2_sql."select * from SALCTM ";
            $d2_sql=$d2_sql."where ";
            $d2_sql=$d2_sql."     CTM001='$SALCTM_Mid' ";
            $d2_count=0;
            global $_DB;//注意這行
            $db2=new DB();
            $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
            $db2->query($d2_sql);
            while ($result2 = $db2->fetch_array())
            {

                $CTM001_ST=$result2['CTM001'];

                $d3_sql="";
                $d3_sql=$d3_sql."select CTM028 from SALCTM ";
                $d3_sql=$d3_sql."where ";
                $d3_sql=$d3_sql."     CTM001='$CTM001_ST' ";
                $d3_count=0;
                global $_DB;//注意這行
                $db3=new DB();
                $db3->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
                $db3->query($d3_sql);
                while ($result3 = $db3->fetch_array())
                {

                    $CTM028_st=$result3['CTM028']; 

                    
                    $d4_sql="";
                    $d4_sql=$d4_sql."select CTM_NotifyToken from SALCTM ";
                    $d4_sql=$d4_sql."where ";
                    $d4_sql=$d4_sql."     (CTM_SalesmanNumber='$CTM028_st' or  CTM_SalesmanNumber='ALL')  ";
                    $d4_count=0;
                    global $_DB;//注意這行
                    $db4=new DB();
                    $db4->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
                    $db4->query($d4_sql);
                    while ($result4 = $db4->fetch_array())
                    {

                        $CTM_NotifyToken=$result4['CTM_NotifyToken']; 
                        
                    }
                    $db4->close_Mysql();
                }
                $db3->close_Mysql();
            }
            $db2->close_Mysql();


        }
        $db1->close_Mysql();

        $ProdInfo_Cate=$BuyTeamPlatform;//平台

        $d2_sql="";
        $d2_sql=$d2_sql." select * from ProdInfo ";
        $d2_sql=$d2_sql." where ";
        $d2_sql=$d2_sql."       ProdInfo_Cate='$ProdInfo_Cate' ";
        $d2_sql=$d2_sql."   and ProdInfo_Id='$ProdInfo_Id' ";
       
      
        $d2_count=0;
        global $_DB;//注意這行
        $db2=new DB();
        $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db2->query($d2_sql);
        while ($result2 = $db2->fetch_array())
        {
            $CPE002=$result2["ProdInfo_Number"];//產品編號

            if($SALCTM_Mid=='Salesmaninfo'){

                $CPE001=$_GET["SN"];//客戶代號
            }else{
                $CPE001=$CTM001;//客戶代號
            }
            
            

            $d3_sql="";
            $d3_sql=$d3_sql." select * from SALCPE ";
            $d3_sql=$d3_sql." where ";
            $d3_sql=$d3_sql."       CPE001='$CPE001' ";//客戶代號
            $d3_sql=$d3_sql."   and CPE002='$CPE002' ";//產品編號
            $d3_sql=$d3_sql."   and CPE003='$ProdInfo_TrdUnit' ";//單位  
            $d3_sql=$d3_sql."   and DATE_FORMAT(now(), '%Y%m%d') > CPE006 ";
            //$d3_sql=$d3_sql."   and DATE_FORMAT(now(), '%Y%m%d') < CPE010 ";
            $d3_sql=$d3_sql." order by CPE006 DESC , CPE902 DESC ";
            $d3_sql=$d3_sql." limit 1 ";
           
          
            $d3_count=0;
            global $_DB;//注意這行
            $db3=new DB();
            $db3->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
            $db3->query($d3_sql);
            while ($result3 = $db3->fetch_array())
            {
                 $d3_count= $d3_count+1;

                 $ProdPrice=$result3["CPE005"];//單價
            }
            $db3->close_Mysql();


            if( $d3_count>0)
            {
                 //[有]客戶特惠價

            }else{
                //[沒有]客戶特惠價

                    switch ($CTM030)//適用價格 0.零售價 1.定價一 2.定價二 3.定價三 4.定價四 5.定價五 6.定價六
                    {
                        case "0":
                            $ProdPrice=$result2["ProdInfo_SalePrice"];//售價
                        break;
                                            
                        case "1":
                            $ProdPrice=$result2["ProdInfo_PriceA"];//價格一   
                        break;

                        case "2":
                             $ProdPrice=$result2["ProdInfo_PriceB"];//價格二  
                        break;

                        case "3":
                             $ProdPrice=$result2["ProdInfo_PriceC"];//價格三 
                        break;

                        case "4":
                            $ProdPrice=$result2["ProdInfo_PriceD"];//價格四   
                        break;

                        case "5":
                             $ProdPrice=$result2["ProdInfo_PriceE"];//價格五
                        break;

                        case "6":
                             $ProdPrice=$result2["ProdInfo_PriceF"];//價格六  
                        break;
                                
                        default:
                          $ProdPrice=$result2["ProdInfo_SalePrice"];//售價
                        break;
                    }
            }
        }
        $db2->close_Mysql();
  }
   $ProdPrice=trim(rtrim(sprintf("%.4f", $ProdPrice ), '0'),'.');//去除多餘的0
   return  $ProdPrice;//商品價格
}



?>	

<meta property="og:title" content="<?php echo $Meta_title; ?>" /><!--標題-->
<meta property="og:url" content="<?php echo $URL=$Domain_st.$_SERVER['REQUEST_URI'];?>" /><!--網址-->
<meta name="description" content="<?php echo $Meta_description; ?>"><!--簡介-->
<meta property="og:description" content="<?php echo $Meta_description; ?>"/><!--簡介-->
<meta property="og:site_name" content="<?php echo $Meta_site_name; ?>" />
<link rel="shortcut icon" href="images/favicon.ico">

<!--抓取圖片_Start-->
<?php echo $Meta_image; ?>
<!--抓取圖片_End-->


<title><?php echo $Meta_title; ?></title><!--標題-->
<?php include("WUC_Head.php"); //html head ?>
<link rel="stylesheet" type="text/css" href="css/styleAdd.css" />


</head>

<body>
<form id="myForm" name="myForm" method="post" enctype="multipart/form-data" action="<?php echo $_SERVER["PHP_SELF"] . $Form_url_st; ?>">  
<!--載入中 start-->
<div id="Loading">
  <img src="images/ajax-loader.gif" width="32" height="32" alt="載入中"/>
</div>
<!--載入中 end-->
  
<!--網頁開始-->
<div id="wrap">


<?php //include("WUC_Header.php"); //頁首及選單 ?>
<article>
<?php echo $breadcrumb; //麵包屑，請至WUC_Head.php修改?>
<!--內容開始-->
	<section class="ShopCartStep"> 
        
		<div class="SCSTitle active">購物清單</div>
		<div class="SCSLine"></div>
		<div class="SCSTitle">付款方式</div>
		<div class="SCSLine"></div>
		<div class="SCSTitle">確認訂單</div>
	</section>
	
	<section>
        <h3 class="BkTitle">客戶代號：<?php echo $CTM003." (".$CTM001.")";?></h3>
		<h3 class="BkTitle">購物清單</h3>
		<ul class="SCListBk">
			
			<?php echo $Lit_ProdItme; //[購物車]品項?>
		</ul>
		<div class="SBOTotalAmount">
			<div id="Viewa_FreightInfo" class="Shipping" <?PHP echo ($FreightTerm_Price>0 ) ? "  " : " style='display:none;' "; ?> >
				<span><?php echo  $FreightTermTitle;//運費條件說明  ?></span>
				收取運費<span class="FreightPrice">NT$ <?php echo  $FreightTerm_Price;//運費金額  ?></span>元
			</div>
			<div class="SBOTAtitle" >共<span><?php echo $Lit_ProdItemTotal;//產品項目 ?></span>項商品，數量<span class="ProdItemTotal" ><?php echo $Lit_ProdTotal;//產品數量?></span>個<div <?PHP echo ($IsPriceB2B == '1')?  "style='display:none;'":  "class='inline-block'"; ?>    >，總金額<span class="ProdFee">NT$ <?php echo ($Lit_CartPrice+$FreightTerm_Price); //購物總金額?></span>元</div></div>
		</div>

		<div class="SBODoubleButton">
			<div>
				<a href="menu.php?SN=<?php echo $_GET['SN'];?>" style='display:none;'></a>
                <input type="button" value="繼續選購" onclick="chk(2)" >
			</div>
			<div>
				<input type="button" value="結　　帳" onclick="chk(1)" >
				<INPUT TYPE="hidden" id="action" name="action" value="">
				<INPUT TYPE="hidden" id="FreightLimit" name="FreightLimit"  value="<?php echo $FreightLimit;//運費限制 ?>" >
				<INPUT TYPE="hidden" id="FreightPrice" name="FreightPrice"  value="<?php echo  $FreightTerm_Price;//運費金額  ?>" >

			</div>
		</div>

	</section>

<!--內容開始-->
</article>
<?php //include("WUC_Footer.php"); ?>
  </div>
  <!--加入成功-->
  <div class="OrderOK">
      <div class="OrderOkBox">
        <div class="OrderOkImg">
          <img src="/images/icon_ok.png" width="69" height="69" alt="" />
        </div>
        <div class="OrderOkItem">淡香精</div>
        <div class="OrderOkTxt">成功加入購物車！</div>
      </div>
    </div>

    <!--訊息框-->
    <div id="error_popup" class="SendComplete">
      <div class="SendCompleteBox">
        <div class="SendCompleteTxt">訊息框</div>
        <div class="RegSendBtn">
          <input id="errorComplete" class="GoldBtn" type="button" value="確認" />
        </div>
      </div>
    </div>
 </form>
</body>


</html>
<script type="text/javascript" src="js/jquery.fancybox.min.js"></script>
<!-- PHP_script-->
<script language="JavaScript">
  <?php
  if ($showBox_Flag == 1) //是否開啟訊息框 1:開啟 2:不開啟)
  {
    if ($showBox_Msg == "") {
      //註冊成功
  ?>
      $("#error_popup").fadeIn();
    <?php

    } else {
      //檢核失敗
    ?>
      $('#error_popup').find('.SendCompleteTxt').text('<?php echo $showBox_Msg; //訊息 ?>');
      $('#error_popup').fadeIn();
  <?php

    }
  }
  ?>

  //[訊息框]確認按鈕
  $("#errorComplete").click(function() {
    <?php
    if ($showBox_Link == "") {
    ?>
      $("#error_popup").fadeOut();
    <?php
    } else {
    ?>
      window.location.href = "<?php echo $showBox_Link; //連結資訊 ?>";

    <?php
    }
    ?>
  });
</script>

<script>

	//關閉加入購物車
	$(".OrderOK").click(function()
	{
	$(".OrderOK").fadeOut();
	// window.location.href="index.php";
	});

	//[訊息框]確認按鈕
	$("#errorComplete").click(function(){
	$("#error_popup").fadeOut();

});
</script>

<script>

//總金額
function calcTotal() 
{
    let blocks = $('.SPBkItem');
    let subtotal = 0;//小計
    let total = 0;//總金額
    let FreightLimitFreightLimit=parseInt($('#FreightLimit').val());//運費限制
    let FreightPrice=parseInt($('#FreightPrice').val());//運費金額




    blocks.each(function (index, elem) 
    {
          let block = $(elem);

          let price = parseInt(block.data('price'));
          let count = parseInt(block.find('.prodCounter .order_count').val());

          subtotal += price * count;
    });
    total = subtotal;


    let ProdItemTotal=0;
    $("input.prodCounter").each(function()
    {
       let order_count =$(this).val();//數量
       ProdItemTotal=parseInt(ProdItemTotal)+ parseInt(order_count);
    });

    $('.ProdItemTotal').html(ProdItemTotal);//[項目]總計
    $('.FreightPrice').html('$ ' + FreightPrice);//運費
    $('.ProdFee').html('$ ' + (total+FreightPrice));//總計


}


	$(document).ready(function() 
	{

		var min = 1;//最少數量限制

		//[增加]按鈕
		$(".add_btn").on("click", function () 
		{
			let self = $(this);
			let block = self.parent().parent().parent().parent();
			let counterBlock = block.find('.prodCounter');//計數器區塊
			let subs_btn = counterBlock.find('.subs_btn');//[減少]按鈕
			let order_count = counterBlock.find('.order_count');//數量
			let maxcount = block.data('maxcount') || 1; //商品數量限制
			let price =  parseInt(block.data('price'));//價格
 			let SPBsubPrice = block.find('.SPBsubPrice');//小計
 			let itemid =  parseInt(block.data('itemid'));//第幾個Cookie
 			let pid =  parseInt(block.data('pid'));//產品ID

			let current_val = parseInt(order_count.val());//當前數量

			if (!isNaN(current_val)) 
			{
				if (current_val == maxcount) 
				{
					showMessage('訂購數量已超過庫存量。');
					return false;
				}
				current_val += 1;
				order_count.val(current_val);
				editCart(itemid,pid,current_val);//修改購物車金額
			
			} else {
			order_count.val(min);
			
			}
			

			let SubTotal = 0;//小計金額
    		let count = parseInt( order_count.val());
 			SubTotal = price * count;
            SPBsubPrice.html(SubTotal);

			setSubsBtnStyle(subs_btn, order_count.val(), min);

			calcTotal();//總金額

		});


		//[減少]按鈕
		$(".subs_btn").on("click", function () 
		{
			let self = $(this);
			let block = self.parent().parent().parent().parent();
			let counterBlock = block.find('.prodCounter');//計數器區塊
			let order_count = counterBlock.find('.order_count');//數量
			let price =  parseInt(block.data('price'));//價格
 			let SPBsubPrice = block.find('.SPBsubPrice');//小計
 			let itemid =  parseInt(block.data('itemid'));//第幾個Cookie
 			let pid =  parseInt(block.data('pid'));//產品ID
			
			let current_val = parseInt(order_count.val());//當前數量

			if (!isNaN(current_val)) 
			{
				if (current_val <= min) 
				{
				return false;
				}
				current_val -= 1;
				order_count.val(current_val);
				editCart(itemid,pid,current_val);//修改購物車金額
			

				if (current_val == min) 
				{
				setSubsBtnStyle(self, current_val, min);
				}

			} else {
				order_count.val(1);
				setSubsBtnStyle(self, order_count.val(), min);
			}


			

			let SubTotal = 0;//小計金額
    		let count = parseInt( order_count.val());
 			SubTotal = price * count;
            SPBsubPrice.html(SubTotal);

			setSubsBtnStyle(self, order_count.val(), min);

            calcTotal();//總金額

		});

		



		//設定[減少]數量的按鈕的over樣式
		//btn:減少數量的按鈕
		//count:數量
		//min:最小值
		function setSubsBtnStyle(btn, count, min) 
		{
			if (count > min) 
			{
			btn.removeClass('Over');
			} else {
			btn.addClass('Over');
			}
		}


		//顯示訊息
		function showMessage(message) 
		{
			let block = $('#error_popup');
			let textblock = block.find('.SendCompleteTxt');
			textblock.text(message);
			block.fadeIn();
		}

        calcTotal() ;

	});




</script>

<script>

//修改購物車金額
function editCart(itemid,pid,count) 
{

   let result = {};
   result.itemid = itemid;
   result.items = [];

   let prodObj = {};
   prodObj.pid = pid;//PID
   prodObj.count = count;//數量

   result.items.push(prodObj);  
   console.log(JSON.stringify(result));


    $.ajax({
          url: 'API/API_editCart.php',
          data: JSON.stringify(result),
          contentType: 'application/json',
          processData: false,
          xhrFields: {
            withCredentials: true,
          },
          method: 'POST',
    }).then(
          function (data, textStatus, jqXHR) {
            //
            console.log(data);

            if (data.Status == 'Success') {
              //showSuccessMessage('儲存完成');
              // block.find('.SPItemEditBk').slideToggle();
            } else {
              console.log('Save Error Msg:' + data.Desc);

              showErrorMessage(data.Desc);
            }
          },
          function (jqXHR, textStatus, errorThrown) {
            console.log(textStatus);
            showErrorMessage('儲存失敗。');
          }
     );


}
</script>	



<script>

  //移除產品
  $('.RemoveBtn').click(function () 
  {

  	let itemid = $(this).data('itemid');//第幾個Cookie

  	let result = {
      itemid: itemid,
    };

  	 $.ajax({
      url: 'API/API_DelCart.php',
      data: JSON.stringify(result),
      contentType: 'application/json',
      processData: false,
      xhrFields: {
        withCredentials: true,
      },
      method: 'POST',
    }).then(
      function (data, textStatus, jqXHR) {
        //
        console.log(data);

        if (data.Status == 'Success') {
          //成功加入購物車跳出
         
           //alert("刪除成功");
           location.reload();
        } else {
          console.log('Prodinfo Error Msg:' + data.Desc);
		  
		  //alert("刪除失敗");
		  location.reload();
         
        }
      },
      function (jqXHR, textStatus, errorThrown) {
        console.log(textStatus);
        //alert("刪除失敗!");
      }
    );
  
    
  });
</script>	

<script language="JavaScript">
function chk(types)
{
    var flag="0";


	

	if (flag=="1")
	{
		return false; 
	}else{ 

		if(types=="1")
		{
			document.myForm.action.value='add';
		}

		document.myForm.submit();

		return false;
    }
}
</script>	