<?php
session_start();
ob_start();
include_once("../manasystem/Library/Library.php");
include_once("../manasystem/Library/db_fuction.php");
include_once("../manasystem/Library/tool.php");
include_once("../manasystem/Library/Now_date.php");
include_once("../manasystem/Library/httpPost.php");
?>
<?php
$Channel_secret=$LineMessage_ChannelSecret;//Messaging API的頻道KEY
$access_token =$LineMessage_token;
$Currently_Domain =$Lit_CurrentDomain;

//define('TOKEN', '你的Channel Access Token');

$json_string = file_get_contents('php://input');

$file = fopen("Line_log.txt", "a+");
fwrite($file, $json_string."\n"); 
fclose($file);

$json_obj = json_decode($json_string);

$event = $json_obj->{"events"}[0];
$type  = $event->{"type"};
$Msg_type  = $event->{"message"}->{"type"};
$message = $event->{"message"};
$messageId = $event->{"message"}->{"id"};
$reply_token = $event->{"replyToken"};

$userId  = $event->{"source"}->{"userId"};//取得使用者ID
$flog=0;

$LINEMSG_GUID=guid();

$date1=new Now_date();



$X_Line_Signature= "";
if (isset($_SERVER['HTTP_X_LINE_SIGNATURE'])) 
{
   $X_Line_Signature = trim($_SERVER['HTTP_X_LINE_SIGNATURE']);
}

$calculate_signature = hash_hmac('sha256', $json_string ,$Channel_secret, true); //採用『HMAC sha256』 加密，並輸出二進制
$calculate_signature = base64_encode($calculate_signature);//將二進制加密成『base64』



 


if($X_Line_Signature==$calculate_signature )
{
   //通過檢核

    if ( $type=="follow") //加好友的事件
    {
        $post_data = [
          "replyToken" => $reply_token,
          "messages" => [
            [
              "type" => "text",
              "text" => "您好，我是「 LINE TEST」,感謝您將「 LINE TEST」設為好友！"
            ]
          ]
        ];


      //  fwrite($file, json_encode($post_data)."\n");

        $ch = curl_init("https://api.line.me/v2/bot/message/reply");
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post_data));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/json',
            'Authorization: Bearer '.$access_token
            //'Authorization: Bearer '. TOKEN
        ));
        $result = curl_exec($ch);
       



    } else if ( $message->{"text"}=="1.上傳開始"){
        DELETE_LINEMSG_ALL();
        insert_LINEMSG($LINEMSG_GUID,0);

        $post_data = [
          "replyToken" => $reply_token,
          "messages" => [
            [
              "type" => "text",
              "text" => "請輸入訂單單號".$d1_sql
            ]
          ]
        ];
        

      //  fwrite($file, json_encode($post_data)."\n");

        $ch = curl_init("https://api.line.me/v2/bot/message/reply");
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post_data));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/json',
            'Authorization: Bearer '.$access_token
            //'Authorization: Bearer '. TOKEN
        ));
        $result = curl_exec($ch);
        

    } else if ( $message->{"text"}=="9.完成"){
      $reply_Mag="";
      $AFS002="";

      $d1_sql="";
      $d1_sql=$d1_sql." select LINEMSG_MSG from LINEMSG ";
      $d1_sql=$d1_sql." where LINEMSG_UserId='$userId' and LINEMSG_Send='1'  ";
      
      $d1_count = 0;   
      $d1_st="";     
      global $_DB;
      $db1 = new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $db1->query($d1_sql);
      while($result1 = $db1->fetch_array()) 
      {
        $AFS002=$result1["LINEMSG_MSG"];
      }
      $db1->close_Mysql();


      $d2_sql="";
      $d2_sql=$d2_sql." select LINEMSG_MSG,LINEMSG_datetime,LINEMSG_Img from LINEMSG ";
      $d2_sql=$d2_sql." where LINEMSG_UserId='$userId' and LINEMSG_Send='2'  ";
      
      $d2_count = 0;   
      $d2_st="";     
      global $_DB;
      $db2 = new DB();
      $db2->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $db2->query($d2_sql);
      while($result2 = $db2->fetch_array()) 
      {
        $d2_count=$d2_count+1;
        $AFS003="";
        if ($d2_count<10)
        {
          $AFS003="00".$d2_count;
        }elseif ($d2_count>=10 && $d2_count<100) {
          $AFS003="0".$d2_count;
        }else{
          $AFS003=$d2_count;
          }
        $Json_st="";
        $Json_st=$Json_st." { ";
        $Json_st=$Json_st." \"AFS001\": \"SALGD13\", ";//
        $Json_st=$Json_st." \"AFS002\": \"$AFS002\", ";//
        $Json_st=$Json_st." \"AFSURL\": \"".$result2["LINEMSG_MSG"]."\", ";//URL
        $Json_st=$Json_st." \"AFSIMG\": \"".$result2["LINEMSG_Img"]."\", ";//URL
        $Json_st=$Json_st." \"AFS901\": \"API建立\", ";//建立者
        $Json_st=$Json_st." \"AFS902\": \"".$result2["LINEMSG_datetime"]."\", ";//建立時間
        $Json_st=$Json_st." \"AFS903\": \"API建立\", ";//修改者
        $Json_st=$Json_st." \"AFS904\": \"".$result2["LINEMSG_datetime"]."\", ";//修改時間
        $Json_st=$Json_st." \"AFS_Country\": \"TW\", ";//
        $Json_st=$Json_st." \"AFS_TaxID\": \"$TaxID\" ";//
        $Json_st=$Json_st."}";


        $SYSAFS_Mag=post_platform_SYSAFS($Json_st,$CompyInfo_Domain,$CompyInfo_Token);
        $reply_Mag=$reply_Mag.$SYSAFS_Mag;

      }
      $db2->close_Mysql();

      //不通過檢核
        $post_data = [
          "replyToken" => $reply_token,
          "messages" => [
            [
              "type" => "text",
              "text" => "$reply_Mag"
            ]
          ]
        ];
      //  fwrite($file, json_encode($post_data)."\n");

        $ch = curl_init("https://api.line.me/v2/bot/message/reply");
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post_data));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/json',
            'Authorization: Bearer '.$access_token
            //'Authorization: Bearer '. TOKEN
        ));
        $result = curl_exec($ch);


    } else{

      $select_LINEMSG_Send=select_LINEMSG_Send($userId);
      if($select_LINEMSG_Send==0){
          $LINEMSG_GUID=select_LINEMSG_GUID($userId);
          insert_LINEMSG($LINEMSG_GUID,1);
          $replymessage="";
          if ($Msg_type=="text"){
              $replymessage="訂單單號:".$message->{"text"}."(如要修改請重新點選圖片上傳)";
          }else{
              $replymessage="格式錯誤請確定是否正確，或重新上傳步驟。";
          } 

          $post_data = [
            "replyToken" => $reply_token,
            "messages" => [
                [
                  "type" => "text",
                  "text" => $replymessage
                ]
              ]
          ];
          //  fwrite($file, json_encode($post_data)."\n");

          $ch = curl_init("https://api.line.me/v2/bot/message/reply");
          curl_setopt($ch, CURLOPT_POST, true);
          curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
          curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
          curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
          curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post_data));
          curl_setopt($ch, CURLOPT_HTTPHEADER, array(
              'Content-Type: application/json',
              'Authorization: Bearer '.$access_token
              //'Authorization: Bearer '. TOKEN
          ));
          $result = curl_exec($ch);
          curl_close($ch); 

      }elseif ($select_LINEMSG_Send==1 or $select_LINEMSG_Send==2){

        $LINEMSG_GUID=select_LINEMSG_GUID($userId);
      
        $replymessage="";
        if ($Msg_type=="image"){
          $File_name=RepeatStatus_getMessageContent();
          insert_LINEMSG_Image($LINEMSG_GUID,2,$File_name);
          $replymessage="圖片已存檔";

        }else{
          $replymessage="格式錯誤請確定是否為圖片，或重新上傳步驟。";
        }

        $post_data = [
          "replyToken" => $reply_token,
          "messages" => [
            [
              "type" => "text",
              "text" => $replymessage
            ]
          ]
        ];
        //  fwrite($file, json_encode($post_data)."\n");

        $ch = curl_init("https://api.line.me/v2/bot/message/reply");
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post_data));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/json',
            'Authorization: Bearer '.$access_token
            //'Authorization: Bearer '. TOKEN
          ));
          $result = curl_exec($ch);
          curl_close($ch); 
      }


    }
    
    

    $file = fopen("Line_log.txt", "a+");
    fwrite($file, $result."\n");  
    fclose($file);
        


}else{
  //不通過檢核
  $post_data = [
          "replyToken" => $reply_token,
          "messages" => [
            [
              "type" => "text",
              "text" => "error"
            ]
          ]
        ];


      //  fwrite($file, json_encode($post_data)."\n");

        $ch = curl_init("https://api.line.me/v2/bot/message/reply");
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post_data));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/json',
            'Authorization: Bearer '.$access_token
            //'Authorization: Bearer '. TOKEN
        ));
        $result = curl_exec($ch);
       
}


function  RepeatStatus_getMessageContent()
{
  global $messageId;
  global $access_token ;

  ob_clean();   //輸出之前一定要Clean,否則檔案格式會錯誤或無法顯示圖片
  $url ='https://api-data.line.me/v2/bot/message/'.$messageId.'/content';
  //$url ='https://api-data.line.me/v2/bot/message/14721261222346/content';
  $ch = curl_init($url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Authorization: Bearer '.$access_token
  ));

  $json_content = curl_exec($ch);
  curl_close($ch);

  if (!$json_content) {
    return false;
  }

  $finfo = finfo_open();
  $mime_type = finfo_buffer($finfo, $json_content, FILEINFO_MIME_TYPE);
  finfo_close($finfo);

  $type='';  

  switch ($mime_type) {
   case "image/bitmap":
     $type='.bmp';
     break;
   case "image/jpeg":
     $type='.jpeg';
     break;
   case "image/gif":
     $type='.gif';
     break;
   case "image/png":
     $type='.png';
     break;  
   default:
     $type='.jpeg';
  }

  
  $fileURL = "./date/".$messageId.$type;
  $fp = fopen($fileURL, 'w');
  fwrite($fp, $json_content);
  fclose($fp);
  return $messageId.$type;

}

function guid(){
    if (function_exists('com_create_guid')){
        return com_create_guid();
    }else{
        mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
        $charid = strtoupper(md5(uniqid(rand(), true)));
        $hyphen = chr(45);// "-"
        $uuid = chr(123)// "{"
            .substr($charid, 0, 8).$hyphen
            .substr($charid, 8, 4).$hyphen
            .substr($charid,12, 4).$hyphen
            .substr($charid,16, 4).$hyphen
            .substr($charid,20,12)
            .chr(125);// "}"
        return $uuid;
    }
}


function insert_LINEMSG($LINEMSG_GUID,$Send){
    
      global $userId;
      global $message; 


      $date1=new Now_date();
      $LINEMSG_UserId=$userId;
      $LINEMSG_MSG=$message->{"text"};
      $LINEMSG_datetime=$date1->Now_st();
      $LINEMSG_OrderId="";
      $LINEMSG_Send=$Send;


      $d1_sql="";
      $d1_sql=$d1_sql." insert into LINEMSG ";
      $d1_sql=$d1_sql." ( ";
      $d1_sql=$d1_sql."    LINEMSG_GUID, ";
      $d1_sql=$d1_sql."    LINEMSG_UserId, ";
      $d1_sql=$d1_sql."    LINEMSG_MSG, ";
      $d1_sql=$d1_sql."    LINEMSG_datetime, ";
      $d1_sql=$d1_sql."    LINEMSG_OrderId, ";
      $d1_sql=$d1_sql."    LINEMSG_Send ";
      $d1_sql=$d1_sql." ) VALUES ( ";
      $d1_sql=$d1_sql."    '$LINEMSG_GUID', ";
      $d1_sql=$d1_sql."    '$LINEMSG_UserId', ";
      $d1_sql=$d1_sql."    '$LINEMSG_MSG', ";
      $d1_sql=$d1_sql."    '$LINEMSG_datetime', ";
      $d1_sql=$d1_sql."    '$LINEMSG_OrderId', ";
      $d1_sql=$d1_sql."    '$LINEMSG_Send' ";
      $d1_sql=$d1_sql." ) ";
      
      $d1_status=0;
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $d1_status=$db1->query($d1_sql);
      //$d1_status=$db1->get_insert_id();//取得主鍵編號
      $db1->close_Mysql();
          
        
}


function insert_LINEMSG_Image($LINEMSG_GUID,$Send,$File_dir){
    
      global $userId;
      global $message; 
      global $Currently_Domain;

      $date1=new Now_date();
      $LINEMSG_UserId=$userId;
      $LINEMSG_MSG=$Currently_Domain."LineLogin/date/".$File_dir;
      $LINEMSG_Img=$File_dir;
      $LINEMSG_datetime=$date1->Now_st();
      $LINEMSG_OrderId="";
      $LINEMSG_Send=$Send;


      $d1_sql="";
      $d1_sql=$d1_sql." insert into LINEMSG ";
      $d1_sql=$d1_sql." ( ";
      $d1_sql=$d1_sql."    LINEMSG_GUID, ";
      $d1_sql=$d1_sql."    LINEMSG_UserId, ";
      $d1_sql=$d1_sql."    LINEMSG_MSG, ";
      $d1_sql=$d1_sql."    LINEMSG_Img, ";
      $d1_sql=$d1_sql."    LINEMSG_datetime, ";
      $d1_sql=$d1_sql."    LINEMSG_OrderId, ";
      $d1_sql=$d1_sql."    LINEMSG_Send ";
      $d1_sql=$d1_sql." ) VALUES ( ";
      $d1_sql=$d1_sql."    '$LINEMSG_GUID', ";
      $d1_sql=$d1_sql."    '$LINEMSG_UserId', ";
      $d1_sql=$d1_sql."    '$LINEMSG_MSG', ";
      $d1_sql=$d1_sql."    '$LINEMSG_Img', ";
      $d1_sql=$d1_sql."    '$LINEMSG_datetime', ";
      $d1_sql=$d1_sql."    '$LINEMSG_OrderId', ";
      $d1_sql=$d1_sql."    '$LINEMSG_Send' ";
      $d1_sql=$d1_sql." ) ";
      echo $d1_sql;
      
      $d1_status=0;
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $d1_status=$db1->query($d1_sql);
      //$d1_status=$db1->get_insert_id();//取得主鍵編號
      $db1->close_Mysql();
          
        
}

function GrabImage($url) { 

  $Guid = new Guid(); 
  //新的檔名
  $NewGuid = $Guid->toString();
  
  //取得副檔名
  $File_GetExtension = strrchr($url,'.');
  
  //新檔案名稱
  $ServerFilename = $NewGuid.$File_GetExtension;
  
  
   //參數=======================================  
    global $File_upload_dir;//檔案儲存位置
   //參數=======================================  
   if($url==""):return false;endif;  
   ob_start();  
   readfile($url);  
   $img = ob_get_contents();  
   ob_end_clean();  
   $size = strlen($img);  
  
   $fp2=@fopen($File_upload_dir.$ServerFilename, "a");  
   fwrite($fp2,$img);  
   fclose($fp2);  
   return $ServerFilename;  
 }  


function select_LINEMSG_GUID(){

        global $userId;
        $d1_sql="";
        $d1_sql=$d1_sql." select * from LINEMSG  ";
        $d1_sql=$d1_sql." where LINEMSG_UserId='$userId' ";
        $d1_sql=$d1_sql." order by LINEMSG_datetime desc LIMIT 1 ";
        
        $LINEMSG_GUID="";

        $d1_count = 0;   
        $d1_st="";     
        global $_DB;
        $db1 = new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while($result1 = $db1->fetch_array()) 
        {
          $LINEMSG_GUID=$result1["LINEMSG_GUID"];
        }
        $db1->close_Mysql();
        return $LINEMSG_GUID;
}


function select_LINEMSG_Send(){
        global $userId;

        $d1_sql="";
        $d1_sql=$d1_sql." select * from LINEMSG  ";
        $d1_sql=$d1_sql." where LINEMSG_UserId='$userId' ";
        $d1_sql=$d1_sql." order by LINEMSG_datetime desc LIMIT 1 ";
        
        $LINEMSG_Send=3;

        $d1_count = 0;   
        $d1_st="";     
        global $_DB;
        $db1 = new DB();
        $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
        $db1->query($d1_sql);
        while($result1 = $db1->fetch_array()) 
        {
          $LINEMSG_Send=$result1["LINEMSG_Send"];
        }
        $db1->close_Mysql();
        return $LINEMSG_Send;
}

function DELETE_LINEMSG_ALL(){
    
      global $userId;

      $d1_sql="";
      $d1_sql=$d1_sql." delete FROM LINEMSG where LINEMSG_UserId='$userId' ";
      
      $d1_status=0;
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $d1_status=$db1->query($d1_sql);
      //$d1_status=$db1->get_insert_id();//取得主鍵編號
      $db1->close_Mysql();
          
}


function DELETE_LINEMSG($LINEMSG_Img){
    
      global $userId;

      $d1_sql="";
      $d1_sql=$d1_sql." delete FROM LINEMSG where LINEMSG_UserId='$userId' and  LINEMSG_Img='$LINEMSG_Img' or LINEMSG_Send='0'or LINEMSG_Send='1' ";
      
      $d1_status=0;
      global $_DB;//注意這行
      $db1=new DB();
      $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
      $d1_status=$db1->query($d1_sql);
      //$d1_status=$db1->get_insert_id();//取得主鍵編號
      $db1->close_Mysql();
          
}

//===============================================
//傳送平台資料
//$json_obj:Json物件
//$CompyInfo_Domain:平台網域
//$CompyInfo_Token:平台Token
//$ITM001:商品代號
//$ITM005:商品類別
//$CTM_Country:公司國碼
//$member_CmpyId:公司ID(雲)
//===============================================
 function post_platform_SYSAFS($json_obj,$CompyInfo_Domain,$CompyInfo_Token)
{
  global $Currently_Domain;
  global $reply_token;
  global $access_token;

    $tool=new tool();
    $date1=new Now_date();
    $PURCOD_Posttime=$date1->Now_st();
    $cur_url = $CompyInfo_Domain."cloud-API/B2B/tk_SYSAFS.php"; //API位置
    $header = array("Content-Type: application/json; charset=utf-8", "Authorization:Bearer " . $CompyInfo_Token);
    
    $http_Method = "POST"; //HTTP Method
    $http_code = 200; //HTTP header的狀態碼
    $str = get_RemoteDataHttpStatus($cur_url, $header, $json_obj, $http_Method, $http_code);
    $TEAT="";
    if ($str == 500) {
      //應用程式錯誤
      $Json_st=$Json_st." { ";
      $Json_st=$Json_st."   \"Status\": \"Success\", ";
      $Json_st=$Json_st."   \"Desc\": \"[平台上傳錯誤]\" ";
      $Json_st=$Json_st." } ";
      
    } else {

      $return_json_obj=json_decode($str,true);
      $Status=addslashes($return_json_obj['Status']);
      $Desc=addslashes($return_json_obj['Desc']);
      $AFSIMG=addslashes($return_json_obj['AFSIMG']);

      if($Status='Success')
      {
        if(file_exists("./date/".$AFSIMG))//[banner]檔案儲存位置-PC專用(W400*H182px)
        {
            if (!unlink("./date/".$AFSIMG)) 
            { 
              $TEAT="存檔有異常，請重新上傳"; 
            } 
            else 
            { 
              $TEAT="上傳成功 $AFSIMG"; 
               DELETE_LINEMSG($AFSIMG);//刪除照片流程表
            } 
        } 
      }

       
    }
    return $TEAT;
    //echo "平台:".$str."----".$Status;
    //$CompyInfo_Token
    //$tool->HtmEnd($Desc,2,"http://60.249.16.133:8080/Terry/report.pdf");
}

?>