<?php
//===============================================
//寄送[Notify訊息]
//$AccessToken:Token金鑰
//$message:訊息內容
//===============================================
function notify_Send($AccessToken,$message)
{

     
     $cur_url= "https://notify-api.line.me/api/notify"; //API位置
     $header =array("Authorization: Bearer ".$AccessToken,"Content-Type: application/x-www-form-urlencoded; charset=utf-8");

    
     $post_data="";
     $post_data=$post_data."&message=".$message;//

     $http_Method="POST";//HTTP Method
     $http_code=200;//HTTP header的狀態碼

     $str = get_RemoteDataHttpStatus($cur_url,$header,$post_data,$http_Method,$http_code); 


     if($str<>'')
     {
               $json_obj=json_decode($str,true);

               $status=$json_obj['status'];//
               $message=$json_obj['message'];//
               

               if ($status=200 )
               {
                   if( $message=="ok")
                   {
                       //訊息發送成功!

                       return "ok";
                   }else{
                      //訊息發送失敗

                      return "error";
                   }
                  
               }else{
                     //訊息發送失敗

                   return "error";
               }

     }

}


//===============================================
//[Notify取得token]
//===============================================
function GET_notifyToken($code)
{

    //參數=======================================
        global $LineNotify_redirect_uri;
        global $LineNotify_client_id;//
        global $LineNotify_client_secret;
    //參數=======================================

        $access_token="";

        $cur_url= "https://notify-bot.line.me/oauth/token"; //API位置-[取得AccessToken]
        $header =array("Content-Type: application/x-www-form-urlencoded; charset=utf-8");


        $post_data="";
        $post_data=$post_data."&grant_type="."authorization_code";//
        $post_data=$post_data."&code=".$code;//
        $post_data=$post_data."&redirect_uri=".$LineNotify_redirect_uri;//
        $post_data=$post_data."&client_id=".$LineNotify_client_id;//
        $post_data=$post_data."&client_secret=".$LineNotify_client_secret;//


        $http_Method="POST";//HTTP Method
        $http_code=200;//HTTP header的狀態碼
        $str = get_RemoteDataHttpStatus($cur_url,$header,$post_data,$http_Method,$http_code); 


       if($str<>'')
       {

               $json_obj=json_decode($str,true);

               $status=$json_obj['status'];//
               $message=$json_obj['message'];//
               

               if ($status=200 )
               {
                    $access_token=$json_obj['access_token'];//
               }

       }


    return $access_token;
}

//===============================================
//[Notify取得token]
//===============================================
function GET_notifyTokenFactory($code)
{

    //參數=======================================
        global $LineNotify_redirect_uri;
        global $LineNotify_redirect_Factory_uri;
        global $LineNotify_client_id;//
        global $LineNotify_client_secret;
    //參數=======================================

        $access_token="";

        $cur_url= "https://notify-bot.line.me/oauth/token"; //API位置-[取得AccessToken]
        $header =array("Content-Type: application/x-www-form-urlencoded; charset=utf-8");


        $post_data="";
        $post_data=$post_data."&grant_type="."authorization_code";//
        $post_data=$post_data."&code=".$code;//
        $post_data=$post_data."&redirect_uri=".$LineNotify_redirect_Factory_uri;//
        $post_data=$post_data."&client_id=".$LineNotify_client_id;//
        $post_data=$post_data."&client_secret=".$LineNotify_client_secret;//


        $http_Method="POST";//HTTP Method
        $http_code=200;//HTTP header的狀態碼
        $str = get_RemoteDataHttpStatus($cur_url,$header,$post_data,$http_Method,$http_code); 


       if($str<>'')
       {

               $json_obj=json_decode($str,true);

               $status=$json_obj['status'];//
               $message=$json_obj['message'];//
               

               if ($status=200 )
               {
                    $access_token=$json_obj['access_token'];//
               }

       }


    return $access_token;
}


?>