<?php
session_start();
include_once("../Library/Library.php");
include_once("../Library/db_fuction.php");
include_once("../Library/tool.php");
include_once("../Library/ck.php");
include_once("../Library/WebPageInforation.php");
include_once("../Library/Now_date.php");
include_once("../Library/UP_Files.php");
include_once("../Library/Function_RecordData.php");
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">


<!--判斷Session狀態_Start -->
    <?php include_once("../WUC/WUC_SessionStatus.php");  ?>
 <!--判斷Session狀態_End -->

<!--載入語言_Start -->
    <?php include_once("../WUC/WUC_lang.php");  ?>
 <!--載入語言_End -->

  

<?php

   $tool=new tool();
   $check=new ck();
   $File_UP=new UP_Files();
 

//參數設定==============================================
 $Auditing_Name_st = "StoreRegister"; //權限稽核名稱
 $lang_st=1; //預設語言
 $DB_ArticleCount=0;//資料筆數
//參數設定==============================================



//表單變數=======================================  
    $Lit_SitMap="";
    $Qrcode_Content=""; 

//表單變數======================================= 


//共用變數====================================
   $action_status=""; //目前狀態(新增,修改)
   $Form_url_st="";//表單連結
//共用變數====================================

//權限稽核區-瀏覽====================================
   if(isset($_SESSION["af_Account"]))
   {
     if ( $check->ck_Auditing($_SESSION["af_Account"], $Auditing_Name_st, 1) ==1)
     {
        
     }else{
        $tool->HtmEnd($ck_Auditing_str['ck_01'], 1, "");   
     }
   }

   if(isset($_GET['action']))
  {
    
         if(addslashes($_GET['action'])=='update')
         {



             DB_Load();//讀取資料
            
         }
    
  }
     
    
//權限稽核區-瀏覽====================================


//===============================================
// 讀取資料
//===============================================
function DB_Load()
{

    //參數=======================================  
    global $MemberInfo_str;
    global $lang_st; //預設語言
    global $DB_ArticleCount;//資料筆數

    global $Qrcode_Content;//資料筆數

    //參數=======================================

    $tool=new tool();
    $StoreInfo_Id=$tool->injection($_GET['data'], "", 0, "", "", 1, 1);//ID

    $d1_sql="";
    $d1_sql=$d1_sql."select * from StoreInfo ";
    $d1_sql=$d1_sql."where ";
    $d1_sql=$d1_sql."      StoreInfo_Id='$StoreInfo_Id'";

    $db1_count=0;
    global $_DB;//注意這行
    $db1=new DB();
    $db1->connect_db($_DB['host'],$_DB['username'],$_DB['password'],$_DB['dbname']);
    $db1->query($d1_sql);
    while ($result = $db1->fetch_array())
    {
          $db1_count=$db1_count+1;

          $Qrcode_Content=$result['StoreInfo_Id'];//門店代號

    }
    $db1->close_Mysql();

    if($db1_count>0)
    {
      $DB_ArticleCount=$db1_count;//資料筆數
      
    
    }else{
        $tool->HtmEnd($StoreInfo_str['err_NoData'], 1, "");

    }

    
}

       
    $Qrcode_Link="QrCodelink.php?level=L&size=4&data=".$Qrcode_Content;//Qrcode連結
?>


    <meta property="og:title" content="<?php echo $Meta_str["title"]; ?>" />
  
    <meta property="og:site_name" content="<?php echo $Meta_str["site_name"]; ?>" />
    <meta name="description" content="<?php echo $Meta_str["description"]; ?>">
    <meta property="og:description" content="<?php echo $Meta_str["description"]; ?>"/>
  　<meta name="author" content="<?php echo $Meta_str["author"]; ?>">
    <meta property="og:url" content="<?php echo $Domain_st.$_SERVER['REQUEST_URI'];?>" />
  
    <title><?php echo $PageInfo_str["PageTitle"]; ?></title>


    <!-- Favicon-->
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="icon" href="favicon.ico" type="image/x-icon">



     <!--CSS與JS_Start-->
         <?php include_once("../WUC/WUC_head.php");  ?>
     <!--CSS與JS_End-->

    <style>
      .addr-county,
      .addr-area,
      .addr-zip {
        width: 25%;
        margin-right: 5px;
        margin-bottom: 5px;
        border: 1px solid #dddddd;
        padding: 0 0.3rem 0 0;
        height: 2.5rem;
        border-radius: 4px;
      }

      .addr-county:focus,
      .addr-area:focus,
      .addr-zip:focus {
        border-color: #768093;
        
      }


      #addr_1{
        margin-right: 2px;
      }

    </style>

    





  </head>
  <body>
    <!-- Preloader 預載-->
    <div class="preloader-it">
      <div class="la-anim-1"></div>
    </div>
    <!-- /Preloader 預載-->
    <div class="wrapper theme-active">
     


       <!-- Top Menu Items-->
             <?php include_once("../WUC/WUC_TopMenu.php");  ?>
       <!-- Top Menu Items-->

      <!-- Left Sidebar Menu 左選單-->
           <?php include_once("../WUC/WUC_LeftMenu.php");  ?>
        <!-- Left Sidebar Menu 左選單-->


      <!-- Right Sidebar Menu-->
          <?php include_once("../WUC/WUC_RightMenu.php");  ?>
      <!-- /Right Sidebar Menu-->



      <!-- Main Content 頁面主要內容-->
       <form id="myForm" name="myForm" method="post"  enctype="multipart/form-data" action="<?php echo $_SERVER["PHP_SELF"].$Form_url_st;?>" >
      <div class="page-wrapper">
        <div class="container-fluid">
          <!-- Title-->
          <div class="row mb-20">
            <div class="col-xs-12 mb-10">
              <ol class="breadcrumb">
                <li><a href="../Main/index.php"><?php echo $MemberInfo_str['SiteLevelEdit1']; ?></a></li>
                <li><a href="StoreInfo_list.php"><span>門店管理</span></a></li>
                <li class="active"><span>門店註冊</span></li>
              </ol>
            </div>


            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
              <div class="form-group flex-horizontal row">
                <div class="col-xs-8">
                  <h4 class="txt-red">門店註冊<?php echo $Literal_title; ?></h4>
                </div>
              </div>
            </div>

          </div>
          <!-- /Row-->
          <div class="row">
            <div class="col-sm-12 col-md-8">
              <div class="panel panel-default card-view">
                <div class="panel-wrapper collapse in">
                  <div class="panel-body">
                    <!--QRCODE_Start-->
                        <div class="qrcode"  >
                          <img src="<?php echo $Qrcode_Link; ?>" width='40%'>
                        </div>
                      <!--QRCODE_End-->
                  </div>
                </div>
              </div>
              <!-- 權限區塊_End && $MemberInfo_LineID<>""-->
             
            </div>
            
          </div>
        </div>

          <!-- footer_Start -->
           <?php include_once("../WUC/WUC_footer.php");  ?>
         <!-- footer_End-->

      </div>
     </form>
      <!-- /Main Content-->
    </div>
  
  </body>
</html>


 <!---JS_Start-->
   <?php include_once("../WUC/WUC_BodyAf.php");  ?>
<!---JS_End-->
